
#ifndef WX_OPENGL_H
#define WX_OPENGL_H

#include <stddef.h>

//prevents confusion between 1001 GL headers - pinched from glew...
//
#if defined(__gl_h_) || defined(__GL_H__) || defined(_GL_H) || defined(__X_GL_H)
#error gl.h included before wxopengl.h
#endif
#if defined(__gl2_h_)
#error gl2.h included before wxopengl.h
#endif
#if defined(__gltypes_h_)
#error gltypes.h included before wxopengl.h
#endif
#if defined(__REGAL_H__)
#error Regal.h included before wxopengl.h
#endif
#if defined(__glext_h_) || defined(__GLEXT_H_)
#error glext.h included before wxopengl.h
#endif
#if defined(__gl_ATI_h_)
#error glATI.h included before wxopengl.h
#endif
#define __gl_h_
#define __gl2_h_
#define __GL_H__
#define _GL_H
#define __gltypes_h_
#define __REGAL_H__
#define __X_GL_H
#define __glext_h_
#define __GLEXT_H_
#define __gl_ATI_h_

#ifdef __cplusplus
extern "C"{
#endif

#ifndef GLAPI
#define GLAPI extern
#endif

#if _WIN32
#define GLAPIENTRY __stdcall
#else
#define GLAPIENTRY
#endif

#if __EMSCRIPTEN__
#define GLFUN(X) X
#else
#define GLFUN(X) (GLAPIENTRY*wx##X)
#endif

void wxglInit();

GLAPI int WXGL_ES;

GLAPI int WXGL_draw_buffers;
GLAPI int WXGL_depth_texture;
GLAPI int WXGL_seamless_cube_map;
GLAPI int WXGL_texture_filter_anisotropic;
GLAPI int WXGL_standard_derivatives;

typedef unsigned int GLenum;
typedef unsigned int GLbitfield;
typedef unsigned int GLuint;
typedef int GLint;
typedef int GLsizei;
typedef unsigned char GLboolean;
typedef signed char GLbyte;
typedef short GLshort;
typedef unsigned char GLubyte;
typedef unsigned short GLushort;
typedef unsigned long GLulong;
typedef float GLfloat;
typedef float GLclampf;
typedef double GLdouble;
typedef double GLclampd;
typedef void GLvoid;
typedef char GLchar;
typedef ptrdiff_t GLintptr;
typedef ptrdiff_t GLsizeiptr;
typedef struct __GLsync *GLsync;

#define GL_VERSION_1_1 1
#define GL_ZERO 0
#define GL_FALSE 0
#define GL_LOGIC_OP 0x0BF1
#define GL_NONE 0
#define GL_TEXTURE_COMPONENTS 0x1003
#define GL_NO_ERROR 0
#define GL_POINTS 0x0000
#define GL_CURRENT_BIT 0x00000001
#define GL_TRUE 1
#define GL_ONE 1
#define GL_CLIENT_PIXEL_STORE_BIT 0x00000001
#define GL_LINES 0x0001
#define GL_LINE_LOOP 0x0002
#define GL_POINT_BIT 0x00000002
#define GL_CLIENT_VERTEX_ARRAY_BIT 0x00000002
#define GL_LINE_STRIP 0x0003
#define GL_LINE_BIT 0x00000004
#define GL_TRIANGLES 0x0004
#define GL_TRIANGLE_STRIP 0x0005
#define GL_TRIANGLE_FAN 0x0006
#define GL_QUADS 0x0007
#define GL_QUAD_STRIP 0x0008
#define GL_POLYGON_BIT 0x00000008
#define GL_POLYGON 0x0009
#define GL_POLYGON_STIPPLE_BIT 0x00000010
#define GL_PIXEL_MODE_BIT 0x00000020
#define GL_LIGHTING_BIT 0x00000040
#define GL_FOG_BIT 0x00000080
#define GL_DEPTH_BUFFER_BIT 0x00000100
#define GL_ACCUM 0x0100
#define GL_LOAD 0x0101
#define GL_RETURN 0x0102
#define GL_MULT 0x0103
#define GL_ADD 0x0104
#define GL_NEVER 0x0200
#define GL_ACCUM_BUFFER_BIT 0x00000200
#define GL_LESS 0x0201
#define GL_EQUAL 0x0202
#define GL_LEQUAL 0x0203
#define GL_GREATER 0x0204
#define GL_NOTEQUAL 0x0205
#define GL_GEQUAL 0x0206
#define GL_ALWAYS 0x0207
#define GL_SRC_COLOR 0x0300
#define GL_ONE_MINUS_SRC_COLOR 0x0301
#define GL_SRC_ALPHA 0x0302
#define GL_ONE_MINUS_SRC_ALPHA 0x0303
#define GL_DST_ALPHA 0x0304
#define GL_ONE_MINUS_DST_ALPHA 0x0305
#define GL_DST_COLOR 0x0306
#define GL_ONE_MINUS_DST_COLOR 0x0307
#define GL_SRC_ALPHA_SATURATE 0x0308
#define GL_STENCIL_BUFFER_BIT 0x00000400
#define GL_FRONT_LEFT 0x0400
#define GL_FRONT_RIGHT 0x0401
#define GL_BACK_LEFT 0x0402
#define GL_BACK_RIGHT 0x0403
#define GL_FRONT 0x0404
#define GL_BACK 0x0405
#define GL_LEFT 0x0406
#define GL_RIGHT 0x0407
#define GL_FRONT_AND_BACK 0x0408
#define GL_AUX0 0x0409
#define GL_AUX1 0x040A
#define GL_AUX2 0x040B
#define GL_AUX3 0x040C
#define GL_INVALID_ENUM 0x0500
#define GL_INVALID_VALUE 0x0501
#define GL_INVALID_OPERATION 0x0502
#define GL_STACK_OVERFLOW 0x0503
#define GL_STACK_UNDERFLOW 0x0504
#define GL_OUT_OF_MEMORY 0x0505
#define GL_2D 0x0600
#define GL_3D 0x0601
#define GL_3D_COLOR 0x0602
#define GL_3D_COLOR_TEXTURE 0x0603
#define GL_4D_COLOR_TEXTURE 0x0604
#define GL_PASS_THROUGH_TOKEN 0x0700
#define GL_POINT_TOKEN 0x0701
#define GL_LINE_TOKEN 0x0702
#define GL_POLYGON_TOKEN 0x0703
#define GL_BITMAP_TOKEN 0x0704
#define GL_DRAW_PIXEL_TOKEN 0x0705
#define GL_COPY_PIXEL_TOKEN 0x0706
#define GL_LINE_RESET_TOKEN 0x0707
#define GL_EXP 0x0800
#define GL_VIEWPORT_BIT 0x00000800
#define GL_EXP2 0x0801
#define GL_CW 0x0900
#define GL_CCW 0x0901
#define GL_COEFF 0x0A00
#define GL_ORDER 0x0A01
#define GL_DOMAIN 0x0A02
#define GL_CURRENT_COLOR 0x0B00
#define GL_CURRENT_INDEX 0x0B01
#define GL_CURRENT_NORMAL 0x0B02
#define GL_CURRENT_TEXTURE_COORDS 0x0B03
#define GL_CURRENT_RASTER_COLOR 0x0B04
#define GL_CURRENT_RASTER_INDEX 0x0B05
#define GL_CURRENT_RASTER_TEXTURE_COORDS 0x0B06
#define GL_CURRENT_RASTER_POSITION 0x0B07
#define GL_CURRENT_RASTER_POSITION_VALID 0x0B08
#define GL_CURRENT_RASTER_DISTANCE 0x0B09
#define GL_POINT_SMOOTH 0x0B10
#define GL_POINT_SIZE 0x0B11
#define GL_POINT_SIZE_RANGE 0x0B12
#define GL_POINT_SIZE_GRANULARITY 0x0B13
#define GL_LINE_SMOOTH 0x0B20
#define GL_LINE_WIDTH 0x0B21
#define GL_LINE_WIDTH_RANGE 0x0B22
#define GL_LINE_WIDTH_GRANULARITY 0x0B23
#define GL_LINE_STIPPLE 0x0B24
#define GL_LINE_STIPPLE_PATTERN 0x0B25
#define GL_LINE_STIPPLE_REPEAT 0x0B26
#define GL_LIST_MODE 0x0B30
#define GL_MAX_LIST_NESTING 0x0B31
#define GL_LIST_BASE 0x0B32
#define GL_LIST_INDEX 0x0B33
#define GL_POLYGON_MODE 0x0B40
#define GL_POLYGON_SMOOTH 0x0B41
#define GL_POLYGON_STIPPLE 0x0B42
#define GL_EDGE_FLAG 0x0B43
#define GL_CULL_FACE 0x0B44
#define GL_CULL_FACE_MODE 0x0B45
#define GL_FRONT_FACE 0x0B46
#define GL_LIGHTING 0x0B50
#define GL_LIGHT_MODEL_LOCAL_VIEWER 0x0B51
#define GL_LIGHT_MODEL_TWO_SIDE 0x0B52
#define GL_LIGHT_MODEL_AMBIENT 0x0B53
#define GL_SHADE_MODEL 0x0B54
#define GL_COLOR_MATERIAL_FACE 0x0B55
#define GL_COLOR_MATERIAL_PARAMETER 0x0B56
#define GL_COLOR_MATERIAL 0x0B57
#define GL_FOG 0x0B60
#define GL_FOG_INDEX 0x0B61
#define GL_FOG_DENSITY 0x0B62
#define GL_FOG_START 0x0B63
#define GL_FOG_END 0x0B64
#define GL_FOG_MODE 0x0B65
#define GL_FOG_COLOR 0x0B66
#define GL_DEPTH_RANGE 0x0B70
#define GL_DEPTH_TEST 0x0B71
#define GL_DEPTH_WRITEMASK 0x0B72
#define GL_DEPTH_CLEAR_VALUE 0x0B73
#define GL_DEPTH_FUNC 0x0B74
#define GL_ACCUM_CLEAR_VALUE 0x0B80
#define GL_STENCIL_TEST 0x0B90
#define GL_STENCIL_CLEAR_VALUE 0x0B91
#define GL_STENCIL_FUNC 0x0B92
#define GL_STENCIL_VALUE_MASK 0x0B93
#define GL_STENCIL_FAIL 0x0B94
#define GL_STENCIL_PASS_DEPTH_FAIL 0x0B95
#define GL_STENCIL_PASS_DEPTH_PASS 0x0B96
#define GL_STENCIL_REF 0x0B97
#define GL_STENCIL_WRITEMASK 0x0B98
#define GL_MATRIX_MODE 0x0BA0
#define GL_NORMALIZE 0x0BA1
#define GL_VIEWPORT 0x0BA2
#define GL_MODELVIEW_STACK_DEPTH 0x0BA3
#define GL_PROJECTION_STACK_DEPTH 0x0BA4
#define GL_TEXTURE_STACK_DEPTH 0x0BA5
#define GL_MODELVIEW_MATRIX 0x0BA6
#define GL_PROJECTION_MATRIX 0x0BA7
#define GL_TEXTURE_MATRIX 0x0BA8
#define GL_ATTRIB_STACK_DEPTH 0x0WX0
#define GL_CLIENT_ATTRIB_STACK_DEPTH 0x0WX1
#define GL_ALPHA_TEST 0x0BC0
#define GL_ALPHA_TEST_FUNC 0x0BC1
#define GL_ALPHA_TEST_REF 0x0BC2
#define GL_DITHER 0x0BD0
#define GL_BLEND_DST 0x0BE0
#define GL_BLEND_SRC 0x0BE1
#define GL_BLEND 0x0BE2
#define GL_LOGIC_OP_MODE 0x0BF0
#define GL_INDEX_LOGIC_OP 0x0BF1
#define GL_COLOR_LOGIC_OP 0x0BF2
#define GL_AUX_BUFFERS 0x0C00
#define GL_DRAW_BUFFER 0x0C01
#define GL_READ_BUFFER 0x0C02
#define GL_SCISSOR_BOX 0x0C10
#define GL_SCISSOR_TEST 0x0C11
#define GL_INDEX_CLEAR_VALUE 0x0C20
#define GL_INDEX_WRITEMASK 0x0C21
#define GL_COLOR_CLEAR_VALUE 0x0C22
#define GL_COLOR_WRITEMASK 0x0C23
#define GL_INDEX_MODE 0x0C30
#define GL_RGBA_MODE 0x0C31
#define GL_DOUBLEBUFFER 0x0C32
#define GL_STEREO 0x0C33
#define GL_RENDER_MODE 0x0C40
#define GL_PERSPECTIVE_CORRECTION_HINT 0x0C50
#define GL_POINT_SMOOTH_HINT 0x0C51
#define GL_LINE_SMOOTH_HINT 0x0C52
#define GL_POLYGON_SMOOTH_HINT 0x0C53
#define GL_FOG_HINT 0x0C54
#define GL_TEXTURE_GEN_S 0x0C60
#define GL_TEXTURE_GEN_T 0x0C61
#define GL_TEXTURE_GEN_R 0x0C62
#define GL_TEXTURE_GEN_Q 0x0C63
#define GL_PIXEL_MAP_I_TO_I 0x0C70
#define GL_PIXEL_MAP_S_TO_S 0x0C71
#define GL_PIXEL_MAP_I_TO_R 0x0C72
#define GL_PIXEL_MAP_I_TO_G 0x0C73
#define GL_PIXEL_MAP_I_TO_B 0x0C74
#define GL_PIXEL_MAP_I_TO_A 0x0C75
#define GL_PIXEL_MAP_R_TO_R 0x0C76
#define GL_PIXEL_MAP_G_TO_G 0x0C77
#define GL_PIXEL_MAP_B_TO_B 0x0C78
#define GL_PIXEL_MAP_A_TO_A 0x0C79
#define GL_PIXEL_MAP_I_TO_I_SIZE 0x0CB0
#define GL_PIXEL_MAP_S_TO_S_SIZE 0x0CB1
#define GL_PIXEL_MAP_I_TO_R_SIZE 0x0CB2
#define GL_PIXEL_MAP_I_TO_G_SIZE 0x0CB3
#define GL_PIXEL_MAP_I_TO_B_SIZE 0x0CB4
#define GL_PIXEL_MAP_I_TO_A_SIZE 0x0CB5
#define GL_PIXEL_MAP_R_TO_R_SIZE 0x0CB6
#define GL_PIXEL_MAP_G_TO_G_SIZE 0x0CB7
#define GL_PIXEL_MAP_B_TO_B_SIZE 0x0CB8
#define GL_PIXEL_MAP_A_TO_A_SIZE 0x0CB9
#define GL_UNPACK_SWAP_BYTES 0x0CF0
#define GL_UNPACK_LSB_FIRST 0x0CF1
#define GL_UNPACK_ROW_LENGTH 0x0CF2
#define GL_UNPACK_SKIP_ROWS 0x0CF3
#define GL_UNPACK_SKIP_PIXELS 0x0CF4
#define GL_UNPACK_ALIGNMENT 0x0CF5
#define GL_PACK_SWAP_BYTES 0x0D00
#define GL_PACK_LSB_FIRST 0x0D01
#define GL_PACK_ROW_LENGTH 0x0D02
#define GL_PACK_SKIP_ROWS 0x0D03
#define GL_PACK_SKIP_PIXELS 0x0D04
#define GL_PACK_ALIGNMENT 0x0D05
#define GL_MAP_COLOR 0x0D10
#define GL_MAP_STENCIL 0x0D11
#define GL_INDEX_SHIFT 0x0D12
#define GL_INDEX_OFFSET 0x0D13
#define GL_RED_SCALE 0x0D14
#define GL_RED_BIAS 0x0D15
#define GL_ZOOM_X 0x0D16
#define GL_ZOOM_Y 0x0D17
#define GL_GREEN_SCALE 0x0D18
#define GL_GREEN_BIAS 0x0D19
#define GL_BLUE_SCALE 0x0D1A
#define GL_BLUE_BIAS 0x0D1B
#define GL_ALPHA_SCALE 0x0D1C
#define GL_ALPHA_BIAS 0x0D1D
#define GL_DEPTH_SCALE 0x0D1E
#define GL_DEPTH_BIAS 0x0D1F
#define GL_MAX_EVAL_ORDER 0x0D30
#define GL_MAX_LIGHTS 0x0D31
#define GL_MAX_CLIP_PLANES 0x0D32
#define GL_MAX_TEXTURE_SIZE 0x0D33
#define GL_MAX_PIXEL_MAP_TABLE 0x0D34
#define GL_MAX_ATTRIB_STACK_DEPTH 0x0D35
#define GL_MAX_MODELVIEW_STACK_DEPTH 0x0D36
#define GL_MAX_NAME_STACK_DEPTH 0x0D37
#define GL_MAX_PROJECTION_STACK_DEPTH 0x0D38
#define GL_MAX_TEXTURE_STACK_DEPTH 0x0D39
#define GL_MAX_VIEWPORT_DIMS 0x0D3A
#define GL_MAX_CLIENT_ATTRIB_STACK_DEPTH 0x0D3B
#define GL_SUBPIXEL_BITS 0x0D50
#define GL_INDEX_BITS 0x0D51
#define GL_RED_BITS 0x0D52
#define GL_GREEN_BITS 0x0D53
#define GL_BLUE_BITS 0x0D54
#define GL_ALPHA_BITS 0x0D55
#define GL_DEPTH_BITS 0x0D56
#define GL_STENCIL_BITS 0x0D57
#define GL_ACCUM_RED_BITS 0x0D58
#define GL_ACCUM_GREEN_BITS 0x0D59
#define GL_ACCUM_BLUE_BITS 0x0D5A
#define GL_ACCUM_ALPHA_BITS 0x0D5B
#define GL_NAME_STACK_DEPTH 0x0D70
#define GL_AUTO_NORMAL 0x0D80
#define GL_MAP1_COLOR_4 0x0D90
#define GL_MAP1_INDEX 0x0D91
#define GL_MAP1_NORMAL 0x0D92
#define GL_MAP1_TEXTURE_COORD_1 0x0D93
#define GL_MAP1_TEXTURE_COORD_2 0x0D94
#define GL_MAP1_TEXTURE_COORD_3 0x0D95
#define GL_MAP1_TEXTURE_COORD_4 0x0D96
#define GL_MAP1_VERTEX_3 0x0D97
#define GL_MAP1_VERTEX_4 0x0D98
#define GL_MAP2_COLOR_4 0x0DB0
#define GL_MAP2_INDEX 0x0DB1
#define GL_MAP2_NORMAL 0x0DB2
#define GL_MAP2_TEXTURE_COORD_1 0x0DB3
#define GL_MAP2_TEXTURE_COORD_2 0x0DB4
#define GL_MAP2_TEXTURE_COORD_3 0x0DB5
#define GL_MAP2_TEXTURE_COORD_4 0x0DB6
#define GL_MAP2_VERTEX_3 0x0DB7
#define GL_MAP2_VERTEX_4 0x0DB8
#define GL_MAP1_GRID_DOMAIN 0x0DD0
#define GL_MAP1_GRID_SEGMENTS 0x0DD1
#define GL_MAP2_GRID_DOMAIN 0x0DD2
#define GL_MAP2_GRID_SEGMENTS 0x0DD3
#define GL_TEXTURE_1D 0x0DE0
#define GL_TEXTURE_2D 0x0DE1
#define GL_FEEDBACK_BUFFER_POINTER 0x0DF0
#define GL_FEEDBACK_BUFFER_SIZE 0x0DF1
#define GL_FEEDBACK_BUFFER_TYPE 0x0DF2
#define GL_SELECTION_BUFFER_POINTER 0x0DF3
#define GL_SELECTION_BUFFER_SIZE 0x0DF4
#define GL_TEXTURE_WIDTH 0x1000
#define GL_TRANSFORM_BIT 0x00001000
#define GL_TEXTURE_HEIGHT 0x1001
#define GL_TEXTURE_INTERNAL_FORMAT 0x1003
#define GL_TEXTURE_BORDER_COLOR 0x1004
#define GL_TEXTURE_BORDER 0x1005
#define GL_DONT_CARE 0x1100
#define GL_FASTEST 0x1101
#define GL_NICEST 0x1102
#define GL_AMBIENT 0x1200
#define GL_DIFFUSE 0x1201
#define GL_SPECULAR 0x1202
#define GL_POSITION 0x1203
#define GL_SPOT_DIRECTION 0x1204
#define GL_SPOT_EXPONENT 0x1205
#define GL_SPOT_CUTOFF 0x1206
#define GL_CONSTANT_ATTENUATION 0x1207
#define GL_LINEAR_ATTENUATION 0x1208
#define GL_QUADRATIC_ATTENUATION 0x1209
#define GL_COMPILE 0x1300
#define GL_COMPILE_AND_EXECUTE 0x1301
#define GL_BYTE 0x1400
#define GL_UNSIGNED_BYTE 0x1401
#define GL_SHORT 0x1402
#define GL_UNSIGNED_SHORT 0x1403
#define GL_INT 0x1404
#define GL_UNSIGNED_INT 0x1405
#define GL_FLOAT 0x1406
#define GL_2_BYTES 0x1407
#define GL_3_BYTES 0x1408
#define GL_4_BYTES 0x1409
#define GL_DOUBLE 0x140A
#define GL_CLEAR 0x1500
#define GL_AND 0x1501
#define GL_AND_REVERSE 0x1502
#define GL_COPY 0x1503
#define GL_AND_INVERTED 0x1504
#define GL_NOOP 0x1505
#define GL_XOR 0x1506
#define GL_OR 0x1507
#define GL_NOR 0x1508
#define GL_EQUIV 0x1509
#define GL_INVERT 0x150A
#define GL_OR_REVERSE 0x150B
#define GL_COPY_INVERTED 0x150C
#define GL_OR_INVERTED 0x150D
#define GL_NAND 0x150E
#define GL_SET 0x150F
#define GL_EMISSION 0x1600
#define GL_SHININESS 0x1601
#define GL_AMBIENT_AND_DIFFUSE 0x1602
#define GL_COLOR_INDEXES 0x1603
#define GL_MODELVIEW 0x1700
#define GL_PROJECTION 0x1701
#define GL_TEXTURE 0x1702
#define GL_COLOR 0x1800
#define GL_DEPTH 0x1801
#define GL_STENCIL 0x1802
#define GL_COLOR_INDEX 0x1900
#define GL_STENCIL_INDEX 0x1901
#define GL_DEPTH_COMPONENT 0x1902
#define GL_RED 0x1903
#define GL_GREEN 0x1904
#define GL_BLUE 0x1905
#define GL_ALPHA 0x1906
#define GL_RGB 0x1907
#define GL_RGBA 0x1908
#define GL_LUMINANCE 0x1909
#define GL_LUMINANCE_ALPHA 0x190A
#define GL_BITMAP 0x1A00
#define GL_POINT 0x1B00
#define GL_LINE 0x1B01
#define GL_FILL 0x1B02
#define GL_RENDER 0x1C00
#define GL_FEEDBACK 0x1C01
#define GL_SELECT 0x1C02
#define GL_FLAT 0x1D00
#define GL_SMOOTH 0x1D01
#define GL_KEEP 0x1E00
#define GL_REPLACE 0x1E01
#define GL_INCR 0x1E02
#define GL_DECR 0x1E03
#define GL_VENDOR 0x1F00
#define GL_RENDERER 0x1F01
#define GL_VERSION 0x1F02
#define GL_EXTENSIONS 0x1F03
#define GL_S 0x2000
#define GL_ENABLE_BIT 0x00002000
#define GL_T 0x2001
#define GL_R 0x2002
#define GL_Q 0x2003
#define GL_MODULATE 0x2100
#define GL_DECAL 0x2101
#define GL_TEXTURE_ENV_MODE 0x2200
#define GL_TEXTURE_ENV_COLOR 0x2201
#define GL_TEXTURE_ENV 0x2300
#define GL_EYE_LINEAR 0x2400
#define GL_OBJECT_LINEAR 0x2401
#define GL_SPHERE_MAP 0x2402
#define GL_TEXTURE_GEN_MODE 0x2500
#define GL_OBJECT_PLANE 0x2501
#define GL_EYE_PLANE 0x2502
#define GL_NEAREST 0x2600
#define GL_LINEAR 0x2601
#define GL_NEAREST_MIPMAP_NEAREST 0x2700
#define GL_LINEAR_MIPMAP_NEAREST 0x2701
#define GL_NEAREST_MIPMAP_LINEAR 0x2702
#define GL_LINEAR_MIPMAP_LINEAR 0x2703
#define GL_TEXTURE_MAG_FILTER 0x2800
#define GL_TEXTURE_MIN_FILTER 0x2801
#define GL_TEXTURE_WRAP_S 0x2802
#define GL_TEXTURE_WRAP_T 0x2803
#define GL_CLAMP 0x2900
#define GL_REPEAT 0x2901
#define GL_POLYGON_OFFSET_UNITS 0x2A00
#define GL_POLYGON_OFFSET_POINT 0x2A01
#define GL_POLYGON_OFFSET_LINE 0x2A02
#define GL_R3_G3_B2 0x2A10
#define GL_V2F 0x2A20
#define GL_V3F 0x2A21
#define GL_C4UB_V2F 0x2A22
#define GL_C4UB_V3F 0x2A23
#define GL_C3F_V3F 0x2A24
#define GL_N3F_V3F 0x2A25
#define GL_C4F_N3F_V3F 0x2A26
#define GL_T2F_V3F 0x2A27
#define GL_T4F_V4F 0x2A28
#define GL_T2F_C4UB_V3F 0x2A29
#define GL_T2F_C3F_V3F 0x2A2A
#define GL_T2F_N3F_V3F 0x2A2B
#define GL_T2F_C4F_N3F_V3F 0x2A2C
#define GL_T4F_C4F_N3F_V4F 0x2A2D
#define GL_CLIP_PLANE0 0x3000
#define GL_CLIP_PLANE1 0x3001
#define GL_CLIP_PLANE2 0x3002
#define GL_CLIP_PLANE3 0x3003
#define GL_CLIP_PLANE4 0x3004
#define GL_CLIP_PLANE5 0x3005
#define GL_LIGHT0 0x4000
#define GL_COLOR_BUFFER_BIT 0x00004000
#define GL_LIGHT1 0x4001
#define GL_LIGHT2 0x4002
#define GL_LIGHT3 0x4003
#define GL_LIGHT4 0x4004
#define GL_LIGHT5 0x4005
#define GL_LIGHT6 0x4006
#define GL_LIGHT7 0x4007
#define GL_HINT_BIT 0x00008000
#define GL_POLYGON_OFFSET_FILL 0x8037
#define GL_POLYGON_OFFSET_FACTOR 0x8038
#define GL_ALPHA4 0x803B
#define GL_ALPHA8 0x803C
#define GL_ALPHA12 0x803D
#define GL_ALPHA16 0x803E
#define GL_LUMINANCE4 0x803F
#define GL_LUMINANCE8 0x8040
#define GL_LUMINANCE12 0x8041
#define GL_LUMINANCE16 0x8042
#define GL_LUMINANCE4_ALPHA4 0x8043
#define GL_LUMINANCE6_ALPHA2 0x8044
#define GL_LUMINANCE8_ALPHA8 0x8045
#define GL_LUMINANCE12_ALPHA4 0x8046
#define GL_LUMINANCE12_ALPHA12 0x8047
#define GL_LUMINANCE16_ALPHA16 0x8048
#define GL_INTENSITY 0x8049
#define GL_INTENSITY4 0x804A
#define GL_INTENSITY8 0x804B
#define GL_INTENSITY12 0x804C
#define GL_INTENSITY16 0x804D
#define GL_RGB4 0x804F
#define GL_RGB5 0x8050
#define GL_RGB8 0x8051
#define GL_RGB10 0x8052
#define GL_RGB12 0x8053
#define GL_RGB16 0x8054
#define GL_RGBA2 0x8055
#define GL_RGBA4 0x8056
#define GL_RGB5_A1 0x8057
#define GL_RGBA8 0x8058
#define GL_RGB10_A2 0x8059
#define GL_RGBA12 0x805A
#define GL_RGBA16 0x805B
#define GL_TEXTURE_RED_SIZE 0x805C
#define GL_TEXTURE_GREEN_SIZE 0x805D
#define GL_TEXTURE_BLUE_SIZE 0x805E
#define GL_TEXTURE_ALPHA_SIZE 0x805F
#define GL_TEXTURE_LUMINANCE_SIZE 0x8060
#define GL_TEXTURE_INTENSITY_SIZE 0x8061
#define GL_PROXY_TEXTURE_1D 0x8063
#define GL_PROXY_TEXTURE_2D 0x8064
#define GL_TEXTURE_PRIORITY 0x8066
#define GL_TEXTURE_RESIDENT 0x8067
#define GL_TEXTURE_BINDING_1D 0x8068
#define GL_TEXTURE_BINDING_2D 0x8069
#define GL_VERTEX_ARRAY 0x8074
#define GL_NORMAL_ARRAY 0x8075
#define GL_COLOR_ARRAY 0x8076
#define GL_INDEX_ARRAY 0x8077
#define GL_TEXTURE_COORD_ARRAY 0x8078
#define GL_EDGE_FLAG_ARRAY 0x8079
#define GL_VERTEX_ARRAY_SIZE 0x807A
#define GL_VERTEX_ARRAY_TYPE 0x807B
#define GL_VERTEX_ARRAY_STRIDE 0x807C
#define GL_NORMAL_ARRAY_TYPE 0x807E
#define GL_NORMAL_ARRAY_STRIDE 0x807F
#define GL_COLOR_ARRAY_SIZE 0x8081
#define GL_COLOR_ARRAY_TYPE 0x8082
#define GL_COLOR_ARRAY_STRIDE 0x8083
#define GL_INDEX_ARRAY_TYPE 0x8085
#define GL_INDEX_ARRAY_STRIDE 0x8086
#define GL_TEXTURE_COORD_ARRAY_SIZE 0x8088
#define GL_TEXTURE_COORD_ARRAY_TYPE 0x8089
#define GL_TEXTURE_COORD_ARRAY_STRIDE 0x808A
#define GL_EDGE_FLAG_ARRAY_STRIDE 0x808C
#define GL_VERTEX_ARRAY_POINTER 0x808E
#define GL_NORMAL_ARRAY_POINTER 0x808F
#define GL_COLOR_ARRAY_POINTER 0x8090
#define GL_INDEX_ARRAY_POINTER 0x8091
#define GL_TEXTURE_COORD_ARRAY_POINTER 0x8092
#define GL_EDGE_FLAG_ARRAY_POINTER 0x8093
#define GL_COLOR_INDEX1_EXT 0x80E2
#define GL_COLOR_INDEX2_EXT 0x80E3
#define GL_COLOR_INDEX4_EXT 0x80E4
#define GL_COLOR_INDEX8_EXT 0x80E5
#define GL_COLOR_INDEX12_EXT 0x80E6
#define GL_COLOR_INDEX16_EXT 0x80E7
#define GL_EVAL_BIT 0x00010000
#define GL_LIST_BIT 0x00020000
#define GL_TEXTURE_BIT 0x00040000
#define GL_SCISSOR_BIT 0x00080000
#define GL_ALL_ATTRIB_BITS 0x000fffff
#define GL_CLIENT_ALL_ATTRIB_BITS 0xffffffff
#define GL_VERSION_1_2 1
#define GL_SMOOTH_POINT_SIZE_RANGE 0x0B12
#define GL_SMOOTH_POINT_SIZE_GRANULARITY 0x0B13
#define GL_SMOOTH_LINE_WIDTH_RANGE 0x0B22
#define GL_SMOOTH_LINE_WIDTH_GRANULARITY 0x0B23
#define GL_UNSIGNED_BYTE_3_3_2 0x8032
#define GL_UNSIGNED_SHORT_4_4_4_4 0x8033
#define GL_UNSIGNED_SHORT_5_5_5_1 0x8034
#define GL_UNSIGNED_INT_8_8_8_8 0x8035
#define GL_UNSIGNED_INT_10_10_10_2 0x8036
#define GL_RESCALE_NORMAL 0x803A
#define GL_TEXTURE_BINDING_3D 0x806A
#define GL_PACK_SKIP_IMAGES 0x806B
#define GL_PACK_IMAGE_HEIGHT 0x806C
#define GL_UNPACK_SKIP_IMAGES 0x806D
#define GL_UNPACK_IMAGE_HEIGHT 0x806E
#define GL_TEXTURE_3D 0x806F
#define GL_PROXY_TEXTURE_3D 0x8070
#define GL_TEXTURE_DEPTH 0x8071
#define GL_TEXTURE_WRAP_R 0x8072
#define GL_MAX_3D_TEXTURE_SIZE 0x8073
#define GL_BGR 0x80E0
#define GL_BGRA 0x80E1
#define GL_MAX_ELEMENTS_VERTICES 0x80E8
#define GL_MAX_ELEMENTS_INDICES 0x80E9
#define GL_CLAMP_TO_EDGE 0x812F
#define GL_TEXTURE_MIN_LOD 0x813A
#define GL_TEXTURE_MAX_LOD 0x813B
#define GL_TEXTURE_BASE_LEVEL 0x813C
#define GL_TEXTURE_MAX_LEVEL 0x813D
#define GL_LIGHT_MODEL_COLOR_CONTROL 0x81F8
#define GL_SINGLE_COLOR 0x81F9
#define GL_SEPARATE_SPECULAR_COLOR 0x81FA
#define GL_UNSIGNED_BYTE_2_3_3_REV 0x8362
#define GL_UNSIGNED_SHORT_5_6_5 0x8363
#define GL_UNSIGNED_SHORT_5_6_5_REV 0x8364
#define GL_UNSIGNED_SHORT_4_4_4_4_REV 0x8365
#define GL_UNSIGNED_SHORT_1_5_5_5_REV 0x8366
#define GL_UNSIGNED_INT_8_8_8_8_REV 0x8367
#define GL_ALIASED_POINT_SIZE_RANGE 0x846D
#define GL_ALIASED_LINE_WIDTH_RANGE 0x846E
#define GL_VERSION_1_2_1 1
#define GL_VERSION_1_3 1
#define GL_MULTISAMPLE 0x809D
#define GL_SAMPLE_ALPHA_TO_COVERAGE 0x809E
#define GL_SAMPLE_ALPHA_TO_ONE 0x809F
#define GL_SAMPLE_COVERAGE 0x80A0
#define GL_SAMPLE_BUFFERS 0x80A8
#define GL_SAMPLES 0x80A9
#define GL_SAMPLE_COVERAGE_VALUE 0x80AA
#define GL_SAMPLE_COVERAGE_INVERT 0x80AB
#define GL_CLAMP_TO_BORDER 0x812D
#define GL_TEXTURE0 0x84C0
#define GL_TEXTURE1 0x84C1
#define GL_TEXTURE2 0x84C2
#define GL_TEXTURE3 0x84C3
#define GL_TEXTURE4 0x84C4
#define GL_TEXTURE5 0x84C5
#define GL_TEXTURE6 0x84C6
#define GL_TEXTURE7 0x84C7
#define GL_TEXTURE8 0x84C8
#define GL_TEXTURE9 0x84C9
#define GL_TEXTURE10 0x84CA
#define GL_TEXTURE11 0x84CB
#define GL_TEXTURE12 0x84CC
#define GL_TEXTURE13 0x84CD
#define GL_TEXTURE14 0x84CE
#define GL_TEXTURE15 0x84CF
#define GL_TEXTURE16 0x84D0
#define GL_TEXTURE17 0x84D1
#define GL_TEXTURE18 0x84D2
#define GL_TEXTURE19 0x84D3
#define GL_TEXTURE20 0x84D4
#define GL_TEXTURE21 0x84D5
#define GL_TEXTURE22 0x84D6
#define GL_TEXTURE23 0x84D7
#define GL_TEXTURE24 0x84D8
#define GL_TEXTURE25 0x84D9
#define GL_TEXTURE26 0x84DA
#define GL_TEXTURE27 0x84DB
#define GL_TEXTURE28 0x84DC
#define GL_TEXTURE29 0x84DD
#define GL_TEXTURE30 0x84DE
#define GL_TEXTURE31 0x84DF
#define GL_ACTIVE_TEXTURE 0x84E0
#define GL_CLIENT_ACTIVE_TEXTURE 0x84E1
#define GL_MAX_TEXTURE_UNITS 0x84E2
#define GL_TRANSPOSE_MODELVIEW_MATRIX 0x84E3
#define GL_TRANSPOSE_PROJECTION_MATRIX 0x84E4
#define GL_TRANSPOSE_TEXTURE_MATRIX 0x84E5
#define GL_TRANSPOSE_COLOR_MATRIX 0x84E6
#define GL_SUBTRACT 0x84E7
#define GL_COMPRESSED_ALPHA 0x84E9
#define GL_COMPRESSED_LUMINANCE 0x84EA
#define GL_COMPRESSED_LUMINANCE_ALPHA 0x84EB
#define GL_COMPRESSED_INTENSITY 0x84EC
#define GL_COMPRESSED_RGB 0x84ED
#define GL_COMPRESSED_RGBA 0x84EE
#define GL_TEXTURE_COMPRESSION_HINT 0x84EF
#define GL_NORMAL_MAP 0x8511
#define GL_REFLECTION_MAP 0x8512
#define GL_TEXTURE_CUBE_MAP 0x8513
#define GL_TEXTURE_BINDING_CUBE_MAP 0x8514
#define GL_TEXTURE_CUBE_MAP_POSITIVE_X 0x8515
#define GL_TEXTURE_CUBE_MAP_NEGATIVE_X 0x8516
#define GL_TEXTURE_CUBE_MAP_POSITIVE_Y 0x8517
#define GL_TEXTURE_CUBE_MAP_NEGATIVE_Y 0x8518
#define GL_TEXTURE_CUBE_MAP_POSITIVE_Z 0x8519
#define GL_TEXTURE_CUBE_MAP_NEGATIVE_Z 0x851A
#define GL_PROXY_TEXTURE_CUBE_MAP 0x851B
#define GL_MAX_CUBE_MAP_TEXTURE_SIZE 0x851C
#define GL_COMBINE 0x8570
#define GL_COMBINE_RGB 0x8571
#define GL_COMBINE_ALPHA 0x8572
#define GL_RGB_SCALE 0x8573
#define GL_ADD_SIGNED 0x8574
#define GL_INTERPOLATE 0x8575
#define GL_CONSTANT 0x8576
#define GL_PRIMARY_COLOR 0x8577
#define GL_PREVIOUS 0x8578
#define GL_SOURCE0_RGB 0x8580
#define GL_SOURCE1_RGB 0x8581
#define GL_SOURCE2_RGB 0x8582
#define GL_SOURCE0_ALPHA 0x8588
#define GL_SOURCE1_ALPHA 0x8589
#define GL_SOURCE2_ALPHA 0x858A
#define GL_OPERAND0_RGB 0x8590
#define GL_OPERAND1_RGB 0x8591
#define GL_OPERAND2_RGB 0x8592
#define GL_OPERAND0_ALPHA 0x8598
#define GL_OPERAND1_ALPHA 0x8599
#define GL_OPERAND2_ALPHA 0x859A
#define GL_TEXTURE_COMPRESSED_IMAGE_SIZE 0x86A0
#define GL_TEXTURE_COMPRESSED 0x86A1
#define GL_NUM_COMPRESSED_TEXTURE_FORMATS 0x86A2
#define GL_COMPRESSED_TEXTURE_FORMATS 0x86A3
#define GL_DOT3_RGB 0x86AE
#define GL_DOT3_RGBA 0x86AF
#define GL_MULTISAMPLE_BIT 0x20000000
#define GL_VERSION_1_4 1
#define GL_BLEND_DST_RGB 0x80C8
#define GL_BLEND_SRC_RGB 0x80C9
#define GL_BLEND_DST_ALPHA 0x80CA
#define GL_BLEND_SRC_ALPHA 0x80CB
#define GL_POINT_SIZE_MIN 0x8126
#define GL_POINT_SIZE_MAX 0x8127
#define GL_POINT_FADE_THRESHOLD_SIZE 0x8128
#define GL_POINT_DISTANCE_ATTENUATION 0x8129
#define GL_GENERATE_MIPMAP 0x8191
#define GL_GENERATE_MIPMAP_HINT 0x8192
#define GL_DEPTH_COMPONENT16 0x81A5
#define GL_DEPTH_COMPONENT24 0x81A6
#define GL_DEPTH_COMPONENT32 0x81A7
#define GL_MIRRORED_REPEAT 0x8370
#define GL_FOG_COORDINATE_SOURCE 0x8450
#define GL_FOG_COORDINATE 0x8451
#define GL_FRAGMENT_DEPTH 0x8452
#define GL_CURRENT_FOG_COORDINATE 0x8453
#define GL_FOG_COORDINATE_ARRAY_TYPE 0x8454
#define GL_FOG_COORDINATE_ARRAY_STRIDE 0x8455
#define GL_FOG_COORDINATE_ARRAY_POINTER 0x8456
#define GL_FOG_COORDINATE_ARRAY 0x8457
#define GL_COLOR_SUM 0x8458
#define GL_CURRENT_SECONDARY_COLOR 0x8459
#define GL_SECONDARY_COLOR_ARRAY_SIZE 0x845A
#define GL_SECONDARY_COLOR_ARRAY_TYPE 0x845B
#define GL_SECONDARY_COLOR_ARRAY_STRIDE 0x845C
#define GL_SECONDARY_COLOR_ARRAY_POINTER 0x845D
#define GL_SECONDARY_COLOR_ARRAY 0x845E
#define GL_MAX_TEXTURE_LOD_BIAS 0x84FD
#define GL_TEXTURE_FILTER_CONTROL 0x8500
#define GL_TEXTURE_LOD_BIAS 0x8501
#define GL_INCR_WRAP 0x8507
#define GL_DECR_WRAP 0x8508
#define GL_TEXTURE_DEPTH_SIZE 0x884A
#define GL_DEPTH_TEXTURE_MODE 0x884B
#define GL_TEXTURE_COMPARE_MODE 0x884C
#define GL_TEXTURE_COMPARE_FUNC 0x884D
#define GL_COMPARE_R_TO_TEXTURE 0x884E
#define GL_VERSION_1_5 1
#define GL_CURRENT_FOG_COORD GL_CURRENT_FOG_COORDINATE
#define GL_FOG_COORD GL_FOG_COORDINATE
#define GL_FOG_COORD_ARRAY GL_FOG_COORDINATE_ARRAY
#define GL_FOG_COORD_ARRAY_BUFFER_BINDING GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING
#define GL_FOG_COORD_ARRAY_POINTER GL_FOG_COORDINATE_ARRAY_POINTER
#define GL_FOG_COORD_ARRAY_STRIDE GL_FOG_COORDINATE_ARRAY_STRIDE
#define GL_FOG_COORD_ARRAY_TYPE GL_FOG_COORDINATE_ARRAY_TYPE
#define GL_FOG_COORD_SRC GL_FOG_COORDINATE_SOURCE
#define GL_SRC0_ALPHA GL_SOURCE0_ALPHA
#define GL_SRC0_RGB GL_SOURCE0_RGB
#define GL_SRC1_ALPHA GL_SOURCE1_ALPHA
#define GL_SRC1_RGB GL_SOURCE1_RGB
#define GL_SRC2_ALPHA GL_SOURCE2_ALPHA
#define GL_SRC2_RGB GL_SOURCE2_RGB
#define GL_BUFFER_SIZE 0x8764
#define GL_BUFFER_USAGE 0x8765
#define GL_QUERY_COUNTER_BITS 0x8864
#define GL_CURRENT_QUERY 0x8865
#define GL_QUERY_RESULT 0x8866
#define GL_QUERY_RESULT_AVAILABLE 0x8867
#define GL_ARRAY_BUFFER 0x8892
#define GL_ELEMENT_ARRAY_BUFFER 0x8893
#define GL_ARRAY_BUFFER_BINDING 0x8894
#define GL_ELEMENT_ARRAY_BUFFER_BINDING 0x8895
#define GL_VERTEX_ARRAY_BUFFER_BINDING 0x8896
#define GL_NORMAL_ARRAY_BUFFER_BINDING 0x8897
#define GL_COLOR_ARRAY_BUFFER_BINDING 0x8898
#define GL_INDEX_ARRAY_BUFFER_BINDING 0x8899
#define GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING 0x889A
#define GL_EDGE_FLAG_ARRAY_BUFFER_BINDING 0x889B
#define GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING 0x889C
#define GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING 0x889D
#define GL_WEIGHT_ARRAY_BUFFER_BINDING 0x889E
#define GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING 0x889F
#define GL_READ_ONLY 0x88B8
#define GL_WRITE_ONLY 0x88B9
#define GL_READ_WRITE 0x88BA
#define GL_BUFFER_ACCESS 0x88WX
#define GL_BUFFER_MAPPED 0x88BC
#define GL_BUFFER_MAP_POINTER 0x88BD
#define GL_STREAM_DRAW 0x88E0
#define GL_STREAM_READ 0x88E1
#define GL_STREAM_COPY 0x88E2
#define GL_STATIC_DRAW 0x88E4
#define GL_STATIC_READ 0x88E5
#define GL_STATIC_COPY 0x88E6
#define GL_DYNAMIC_DRAW 0x88E8
#define GL_DYNAMIC_READ 0x88E9
#define GL_DYNAMIC_COPY 0x88EA
#define GL_SAMPLES_PASSED 0x8914
#define GL_VERSION_2_0 1
#define GL_BLEND_EQUATION_RGB GL_BLEND_EQUATION
#define GL_VERTEX_ATTRIB_ARRAY_ENABLED 0x8622
#define GL_VERTEX_ATTRIB_ARRAY_SIZE 0x8623
#define GL_VERTEX_ATTRIB_ARRAY_STRIDE 0x8624
#define GL_VERTEX_ATTRIB_ARRAY_TYPE 0x8625
#define GL_CURRENT_VERTEX_ATTRIB 0x8626
#define GL_VERTEX_PROGRAM_POINT_SIZE 0x8642
#define GL_VERTEX_PROGRAM_TWO_SIDE 0x8643
#define GL_VERTEX_ATTRIB_ARRAY_POINTER 0x8645
#define GL_STENCIL_BACK_FUNC 0x8800
#define GL_STENCIL_BACK_FAIL 0x8801
#define GL_STENCIL_BACK_PASS_DEPTH_FAIL 0x8802
#define GL_STENCIL_BACK_PASS_DEPTH_PASS 0x8803
#define GL_MAX_DRAW_BUFFERS 0x8824
#define GL_DRAW_BUFFER0 0x8825
#define GL_DRAW_BUFFER1 0x8826
#define GL_DRAW_BUFFER2 0x8827
#define GL_DRAW_BUFFER3 0x8828
#define GL_DRAW_BUFFER4 0x8829
#define GL_DRAW_BUFFER5 0x882A
#define GL_DRAW_BUFFER6 0x882B
#define GL_DRAW_BUFFER7 0x882C
#define GL_DRAW_BUFFER8 0x882D
#define GL_DRAW_BUFFER9 0x882E
#define GL_DRAW_BUFFER10 0x882F
#define GL_DRAW_BUFFER11 0x8830
#define GL_DRAW_BUFFER12 0x8831
#define GL_DRAW_BUFFER13 0x8832
#define GL_DRAW_BUFFER14 0x8833
#define GL_DRAW_BUFFER15 0x8834
#define GL_BLEND_EQUATION_ALPHA 0x883D
#define GL_POINT_SPRITE 0x8861
#define GL_COORD_REPLACE 0x8862
#define GL_MAX_VERTEX_ATTRIBS 0x8869
#define GL_VERTEX_ATTRIB_ARRAY_NORMALIZED 0x886A
#define GL_MAX_TEXTURE_COORDS 0x8871
#define GL_MAX_TEXTURE_IMAGE_UNITS 0x8872
#define GL_FRAGMENT_SHADER 0x8B30
#define GL_VERTEX_SHADER 0x8B31
#define GL_MAX_FRAGMENT_UNIFORM_COMPONENTS 0x8B49
#define GL_MAX_VERTEX_UNIFORM_COMPONENTS 0x8B4A
#define GL_MAX_VARYING_FLOATS 0x8B4B
#define GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS 0x8B4C
#define GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS 0x8B4D
#define GL_SHADER_TYPE 0x8B4F
#define GL_FLOAT_VEC2 0x8B50
#define GL_FLOAT_VEC3 0x8B51
#define GL_FLOAT_VEC4 0x8B52
#define GL_INT_VEC2 0x8B53
#define GL_INT_VEC3 0x8B54
#define GL_INT_VEC4 0x8B55
#define GL_BOOL 0x8B56
#define GL_BOOL_VEC2 0x8B57
#define GL_BOOL_VEC3 0x8B58
#define GL_BOOL_VEC4 0x8B59
#define GL_FLOAT_MAT2 0x8B5A
#define GL_FLOAT_MAT3 0x8B5B
#define GL_FLOAT_MAT4 0x8B5C
#define GL_SAMPLER_1D 0x8B5D
#define GL_SAMPLER_2D 0x8B5E
#define GL_SAMPLER_3D 0x8B5F
#define GL_SAMPLER_CUBE 0x8B60
#define GL_SAMPLER_1D_SHADOW 0x8B61
#define GL_SAMPLER_2D_SHADOW 0x8B62
#define GL_DELETE_STATUS 0x8B80
#define GL_COMPILE_STATUS 0x8B81
#define GL_LINK_STATUS 0x8B82
#define GL_VALIDATE_STATUS 0x8B83
#define GL_INFO_LOG_LENGTH 0x8B84
#define GL_ATTACHED_SHADERS 0x8B85
#define GL_ACTIVE_UNIFORMS 0x8B86
#define GL_ACTIVE_UNIFORM_MAX_LENGTH 0x8B87
#define GL_SHADER_SOURCE_LENGTH 0x8B88
#define GL_ACTIVE_ATTRIBUTES 0x8B89
#define GL_ACTIVE_ATTRIBUTE_MAX_LENGTH 0x8B8A
#define GL_FRAGMENT_SHADER_DERIVATIVE_HINT 0x8B8B
#define GL_SHADING_LANGUAGE_VERSION 0x8B8C
#define GL_CURRENT_PROGRAM 0x8B8D
#define GL_POINT_SPRITE_COORD_ORIGIN 0x8CA0
#define GL_LOWER_LEFT 0x8CA1
#define GL_UPPER_LEFT 0x8CA2
#define GL_STENCIL_BACK_REF 0x8CA3
#define GL_STENCIL_BACK_VALUE_MASK 0x8CA4
#define GL_STENCIL_BACK_WRITEMASK 0x8CA5
#define GL_VERSION_2_1 1
#define GL_CURRENT_RASTER_SECONDARY_COLOR 0x845F
#define GL_PIXEL_PACK_BUFFER 0x88EB
#define GL_PIXEL_UNPACK_BUFFER 0x88EC
#define GL_PIXEL_PACK_BUFFER_BINDING 0x88ED
#define GL_PIXEL_UNPACK_BUFFER_BINDING 0x88EF
#define GL_FLOAT_MAT2x3 0x8B65
#define GL_FLOAT_MAT2x4 0x8B66
#define GL_FLOAT_MAT3x2 0x8B67
#define GL_FLOAT_MAT3x4 0x8B68
#define GL_FLOAT_MAT4x2 0x8B69
#define GL_FLOAT_MAT4x3 0x8B6A
#define GL_SRGB 0x8C40
#define GL_SRGB8 0x8C41
#define GL_SRGB_ALPHA 0x8C42
#define GL_SRGB8_ALPHA8 0x8C43
#define GL_SLUMINANCE_ALPHA 0x8C44
#define GL_SLUMINANCE8_ALPHA8 0x8C45
#define GL_SLUMINANCE 0x8C46
#define GL_SLUMINANCE8 0x8C47
#define GL_COMPRESSED_SRGB 0x8C48
#define GL_COMPRESSED_SRGB_ALPHA 0x8C49
#define GL_COMPRESSED_SLUMINANCE 0x8C4A
#define GL_COMPRESSED_SLUMINANCE_ALPHA 0x8C4B
#define GL_ARB_seamless_cube_map 1
#define GL_TEXTURE_CUBE_MAP_SEAMLESS 0x884F
#define GL_ARB_texture_filter_anisotropic 1
#define GL_TEXTURE_MAX_ANISOTROPY 0x84FE
#define GL_MAX_TEXTURE_MAX_ANISOTROPY 0x84FF
#define GL_ARB_framebuffer_object 1
#define GL_INVALID_FRAMEBUFFER_OPERATION 0x0506
#define GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING 0x8210
#define GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE 0x8211
#define GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE 0x8212
#define GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE 0x8213
#define GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE 0x8214
#define GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE 0x8215
#define GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE 0x8216
#define GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE 0x8217
#define GL_FRAMEBUFFER_DEFAULT 0x8218
#define GL_FRAMEBUFFER_UNDEFINED 0x8219
#define GL_DEPTH_STENCIL_ATTACHMENT 0x821A
#define GL_INDEX 0x8222
#define GL_MAX_RENDERBUFFER_SIZE 0x84E8
#define GL_DEPTH_STENCIL 0x84F9
#define GL_UNSIGNED_INT_24_8 0x84FA
#define GL_DEPTH24_STENCIL8 0x88F0
#define GL_TEXTURE_STENCIL_SIZE 0x88F1
#define GL_UNSIGNED_NORMALIZED 0x8C17
#define GL_DRAW_FRAMEBUFFER_BINDING 0x8CA6
#define GL_FRAMEBUFFER_BINDING 0x8CA6
#define GL_RENDERBUFFER_BINDING 0x8CA7
#define GL_READ_FRAMEBUFFER 0x8CA8
#define GL_DRAW_FRAMEBUFFER 0x8CA9
#define GL_READ_FRAMEBUFFER_BINDING 0x8CAA
#define GL_RENDERBUFFER_SAMPLES 0x8CAB
#define GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE 0x8CD0
#define GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME 0x8CD1
#define GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL 0x8CD2
#define GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE 0x8CD3
#define GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER 0x8CD4
#define GL_FRAMEBUFFER_COMPLETE 0x8CD5
#define GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT 0x8CD6
#define GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT 0x8CD7
#define GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER 0x8CDB
#define GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER 0x8CDC
#define GL_FRAMEBUFFER_UNSUPPORTED 0x8CDD
#define GL_MAX_COLOR_ATTACHMENTS 0x8CDF
#define GL_COLOR_ATTACHMENT0 0x8CE0
#define GL_COLOR_ATTACHMENT1 0x8CE1
#define GL_COLOR_ATTACHMENT2 0x8CE2
#define GL_COLOR_ATTACHMENT3 0x8CE3
#define GL_COLOR_ATTACHMENT4 0x8CE4
#define GL_COLOR_ATTACHMENT5 0x8CE5
#define GL_COLOR_ATTACHMENT6 0x8CE6
#define GL_COLOR_ATTACHMENT7 0x8CE7
#define GL_COLOR_ATTACHMENT8 0x8CE8
#define GL_COLOR_ATTACHMENT9 0x8CE9
#define GL_COLOR_ATTACHMENT10 0x8CEA
#define GL_COLOR_ATTACHMENT11 0x8CEB
#define GL_COLOR_ATTACHMENT12 0x8CEC
#define GL_COLOR_ATTACHMENT13 0x8CED
#define GL_COLOR_ATTACHMENT14 0x8CEE
#define GL_COLOR_ATTACHMENT15 0x8CEF
#define GL_DEPTH_ATTACHMENT 0x8D00
#define GL_STENCIL_ATTACHMENT 0x8D20
#define GL_FRAMEBUFFER 0x8D40
#define GL_RENDERBUFFER 0x8D41
#define GL_RENDERBUFFER_WIDTH 0x8D42
#define GL_RENDERBUFFER_HEIGHT 0x8D43
#define GL_RENDERBUFFER_INTERNAL_FORMAT 0x8D44
#define GL_STENCIL_INDEX1 0x8D46
#define GL_STENCIL_INDEX4 0x8D47
#define GL_STENCIL_INDEX8 0x8D48
#define GL_STENCIL_INDEX16 0x8D49
#define GL_RENDERBUFFER_RED_SIZE 0x8D50
#define GL_RENDERBUFFER_GREEN_SIZE 0x8D51
#define GL_RENDERBUFFER_BLUE_SIZE 0x8D52
#define GL_RENDERBUFFER_ALPHA_SIZE 0x8D53
#define GL_RENDERBUFFER_DEPTH_SIZE 0x8D54
#define GL_RENDERBUFFER_STENCIL_SIZE 0x8D55
#define GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE 0x8D56
#define GL_MAX_SAMPLES 0x8D57

GLAPI void GLFUN(glAccum)(GLenum op,GLfloat value);
GLAPI void GLFUN(glAlphaFunc)(GLenum func,GLclampf ref);
GLAPI GLboolean GLFUN(glAreTexturesResident)(GLsizei n,const GLuint *textures,GLboolean *residences);
GLAPI void GLFUN(glArrayElement)(GLint i);
GLAPI void GLFUN(glBegin)(GLenum mode);
GLAPI void GLFUN(glBindTexture)(GLenum target,GLuint texture);
GLAPI void GLFUN(glBitmap)(GLsizei width,GLsizei height,GLfloat xorig,GLfloat yorig,GLfloat xmove,GLfloat ymove,const GLubyte *bitmap);
GLAPI void GLFUN(glBlendFunc)(GLenum sfactor,GLenum dfactor);
GLAPI void GLFUN(glCallList)(GLuint list);
GLAPI void GLFUN(glCallLists)(GLsizei n,GLenum type,const void *lists);
GLAPI void GLFUN(glClear)(GLbitfield mask);
GLAPI void GLFUN(glClearAccum)(GLfloat red,GLfloat green,GLfloat blue,GLfloat alpha);
GLAPI void GLFUN(glClearColor)(GLclampf red,GLclampf green,GLclampf blue,GLclampf alpha);
GLAPI void GLFUN(glClearDepth)(GLclampd depth);
GLAPI void GLFUN(glClearIndex)(GLfloat c);
GLAPI void GLFUN(glClearStencil)(GLint s);
GLAPI void GLFUN(glClipPlane)(GLenum plane,const GLdouble *equation);
GLAPI void GLFUN(glColor3b)(GLbyte red,GLbyte green,GLbyte blue);
GLAPI void GLFUN(glColor3bv)(const GLbyte *v);
GLAPI void GLFUN(glColor3d)(GLdouble red,GLdouble green,GLdouble blue);
GLAPI void GLFUN(glColor3dv)(const GLdouble *v);
GLAPI void GLFUN(glColor3f)(GLfloat red,GLfloat green,GLfloat blue);
GLAPI void GLFUN(glColor3fv)(const GLfloat *v);
GLAPI void GLFUN(glColor3i)(GLint red,GLint green,GLint blue);
GLAPI void GLFUN(glColor3iv)(const GLint *v);
GLAPI void GLFUN(glColor3s)(GLshort red,GLshort green,GLshort blue);
GLAPI void GLFUN(glColor3sv)(const GLshort *v);
GLAPI void GLFUN(glColor3ub)(GLubyte red,GLubyte green,GLubyte blue);
GLAPI void GLFUN(glColor3ubv)(const GLubyte *v);
GLAPI void GLFUN(glColor3ui)(GLuint red,GLuint green,GLuint blue);
GLAPI void GLFUN(glColor3uiv)(const GLuint *v);
GLAPI void GLFUN(glColor3us)(GLushort red,GLushort green,GLushort blue);
GLAPI void GLFUN(glColor3usv)(const GLushort *v);
GLAPI void GLFUN(glColor4b)(GLbyte red,GLbyte green,GLbyte blue,GLbyte alpha);
GLAPI void GLFUN(glColor4bv)(const GLbyte *v);
GLAPI void GLFUN(glColor4d)(GLdouble red,GLdouble green,GLdouble blue,GLdouble alpha);
GLAPI void GLFUN(glColor4dv)(const GLdouble *v);
GLAPI void GLFUN(glColor4f)(GLfloat red,GLfloat green,GLfloat blue,GLfloat alpha);
GLAPI void GLFUN(glColor4fv)(const GLfloat *v);
GLAPI void GLFUN(glColor4i)(GLint red,GLint green,GLint blue,GLint alpha);
GLAPI void GLFUN(glColor4iv)(const GLint *v);
GLAPI void GLFUN(glColor4s)(GLshort red,GLshort green,GLshort blue,GLshort alpha);
GLAPI void GLFUN(glColor4sv)(const GLshort *v);
GLAPI void GLFUN(glColor4ub)(GLubyte red,GLubyte green,GLubyte blue,GLubyte alpha);
GLAPI void GLFUN(glColor4ubv)(const GLubyte *v);
GLAPI void GLFUN(glColor4ui)(GLuint red,GLuint green,GLuint blue,GLuint alpha);
GLAPI void GLFUN(glColor4uiv)(const GLuint *v);
GLAPI void GLFUN(glColor4us)(GLushort red,GLushort green,GLushort blue,GLushort alpha);
GLAPI void GLFUN(glColor4usv)(const GLushort *v);
GLAPI void GLFUN(glColorMask)(GLboolean red,GLboolean green,GLboolean blue,GLboolean alpha);
GLAPI void GLFUN(glColorMaterial)(GLenum face,GLenum mode);
GLAPI void GLFUN(glColorPointer)(GLint size,GLenum type,GLsizei stride,const void *pointer);
GLAPI void GLFUN(glCopyPixels)(GLint x,GLint y,GLsizei width,GLsizei height,GLenum type);
GLAPI void GLFUN(glCopyTexImage1D)(GLenum target,GLint level,GLenum internalFormat,GLint x,GLint y,GLsizei width,GLint border);
GLAPI void GLFUN(glCopyTexImage2D)(GLenum target,GLint level,GLenum internalFormat,GLint x,GLint y,GLsizei width,GLsizei height,GLint border);
GLAPI void GLFUN(glCopyTexSubImage1D)(GLenum target,GLint level,GLint xoffset,GLint x,GLint y,GLsizei width);
GLAPI void GLFUN(glCopyTexSubImage2D)(GLenum target,GLint level,GLint xoffset,GLint yoffset,GLint x,GLint y,GLsizei width,GLsizei height);
GLAPI void GLFUN(glCullFace)(GLenum mode);
GLAPI void GLFUN(glDeleteLists)(GLuint list,GLsizei range);
GLAPI void GLFUN(glDeleteTextures)(GLsizei n,const GLuint *textures);
GLAPI void GLFUN(glDepthFunc)(GLenum func);
GLAPI void GLFUN(glDepthMask)(GLboolean flag);
GLAPI void GLFUN(glDepthRange)(GLclampd zNear,GLclampd zFar);
GLAPI void GLFUN(glDisable)(GLenum cap);
GLAPI void GLFUN(glDisableClientState)(GLenum array);
GLAPI void GLFUN(glDrawArrays)(GLenum mode,GLint first,GLsizei count);
GLAPI void GLFUN(glDrawBuffer)(GLenum mode);
GLAPI void GLFUN(glDrawElements)(GLenum mode,GLsizei count,GLenum type,const void *indices);
GLAPI void GLFUN(glDrawPixels)(GLsizei width,GLsizei height,GLenum format,GLenum type,const void *pixels);
GLAPI void GLFUN(glEdgeFlag)(GLboolean flag);
GLAPI void GLFUN(glEdgeFlagPointer)(GLsizei stride,const void *pointer);
GLAPI void GLFUN(glEdgeFlagv)(const GLboolean *flag);
GLAPI void GLFUN(glEnable)(GLenum cap);
GLAPI void GLFUN(glEnableClientState)(GLenum array);
GLAPI void GLFUN(glEnd)();
GLAPI void GLFUN(glEndList)();
GLAPI void GLFUN(glEvalCoord1d)(GLdouble u);
GLAPI void GLFUN(glEvalCoord1dv)(const GLdouble *u);
GLAPI void GLFUN(glEvalCoord1f)(GLfloat u);
GLAPI void GLFUN(glEvalCoord1fv)(const GLfloat *u);
GLAPI void GLFUN(glEvalCoord2d)(GLdouble u,GLdouble v);
GLAPI void GLFUN(glEvalCoord2dv)(const GLdouble *u);
GLAPI void GLFUN(glEvalCoord2f)(GLfloat u,GLfloat v);
GLAPI void GLFUN(glEvalCoord2fv)(const GLfloat *u);
GLAPI void GLFUN(glEvalMesh1)(GLenum mode,GLint i1,GLint i2);
GLAPI void GLFUN(glEvalMesh2)(GLenum mode,GLint i1,GLint i2,GLint j1,GLint j2);
GLAPI void GLFUN(glEvalPoint1)(GLint i);
GLAPI void GLFUN(glEvalPoint2)(GLint i,GLint j);
GLAPI void GLFUN(glFeedbackBuffer)(GLsizei size,GLenum type,GLfloat *buffer);
GLAPI void GLFUN(glFinish)();
GLAPI void GLFUN(glFlush)();
GLAPI void GLFUN(glFogf)(GLenum pname,GLfloat param);
GLAPI void GLFUN(glFogfv)(GLenum pname,const GLfloat *params);
GLAPI void GLFUN(glFogi)(GLenum pname,GLint param);
GLAPI void GLFUN(glFogiv)(GLenum pname,const GLint *params);
GLAPI void GLFUN(glFrontFace)(GLenum mode);
GLAPI void GLFUN(glFrustum)(GLdouble left,GLdouble right,GLdouble bottom,GLdouble top,GLdouble zNear,GLdouble zFar);
GLAPI GLuint GLFUN(glGenLists)(GLsizei range);
GLAPI void GLFUN(glGenTextures)(GLsizei n,GLuint *textures);
GLAPI void GLFUN(glGetBooleanv)(GLenum pname,GLboolean *params);
GLAPI void GLFUN(glGetClipPlane)(GLenum plane,GLdouble *equation);
GLAPI void GLFUN(glGetDoublev)(GLenum pname,GLdouble *params);
GLAPI GLenum GLFUN(glGetError)();
GLAPI void GLFUN(glGetFloatv)(GLenum pname,GLfloat *params);
GLAPI void GLFUN(glGetIntegerv)(GLenum pname,GLint *params);
GLAPI void GLFUN(glGetLightfv)(GLenum light,GLenum pname,GLfloat *params);
GLAPI void GLFUN(glGetLightiv)(GLenum light,GLenum pname,GLint *params);
GLAPI void GLFUN(glGetMapdv)(GLenum target,GLenum query,GLdouble *v);
GLAPI void GLFUN(glGetMapfv)(GLenum target,GLenum query,GLfloat *v);
GLAPI void GLFUN(glGetMapiv)(GLenum target,GLenum query,GLint *v);
GLAPI void GLFUN(glGetMaterialfv)(GLenum face,GLenum pname,GLfloat *params);
GLAPI void GLFUN(glGetMaterialiv)(GLenum face,GLenum pname,GLint *params);
GLAPI void GLFUN(glGetPixelMapfv)(GLenum map,GLfloat *values);
GLAPI void GLFUN(glGetPixelMapuiv)(GLenum map,GLuint *values);
GLAPI void GLFUN(glGetPixelMapusv)(GLenum map,GLushort *values);
GLAPI void GLFUN(glGetPointerv)(GLenum pname,void* *params);
GLAPI void GLFUN(glGetPolygonStipple)(GLubyte *mask);
GLAPI const GLubyte * GLFUN(glGetString)(GLenum name);
GLAPI void GLFUN(glGetTexEnvfv)(GLenum target,GLenum pname,GLfloat *params);
GLAPI void GLFUN(glGetTexEnviv)(GLenum target,GLenum pname,GLint *params);
GLAPI void GLFUN(glGetTexGendv)(GLenum coord,GLenum pname,GLdouble *params);
GLAPI void GLFUN(glGetTexGenfv)(GLenum coord,GLenum pname,GLfloat *params);
GLAPI void GLFUN(glGetTexGeniv)(GLenum coord,GLenum pname,GLint *params);
GLAPI void GLFUN(glGetTexImage)(GLenum target,GLint level,GLenum format,GLenum type,void *pixels);
GLAPI void GLFUN(glGetTexLevelParameterfv)(GLenum target,GLint level,GLenum pname,GLfloat *params);
GLAPI void GLFUN(glGetTexLevelParameteriv)(GLenum target,GLint level,GLenum pname,GLint *params);
GLAPI void GLFUN(glGetTexParameterfv)(GLenum target,GLenum pname,GLfloat *params);
GLAPI void GLFUN(glGetTexParameteriv)(GLenum target,GLenum pname,GLint *params);
GLAPI void GLFUN(glHint)(GLenum target,GLenum mode);
GLAPI void GLFUN(glIndexMask)(GLuint mask);
GLAPI void GLFUN(glIndexPointer)(GLenum type,GLsizei stride,const void *pointer);
GLAPI void GLFUN(glIndexd)(GLdouble c);
GLAPI void GLFUN(glIndexdv)(const GLdouble *c);
GLAPI void GLFUN(glIndexf)(GLfloat c);
GLAPI void GLFUN(glIndexfv)(const GLfloat *c);
GLAPI void GLFUN(glIndexi)(GLint c);
GLAPI void GLFUN(glIndexiv)(const GLint *c);
GLAPI void GLFUN(glIndexs)(GLshort c);
GLAPI void GLFUN(glIndexsv)(const GLshort *c);
GLAPI void GLFUN(glIndexub)(GLubyte c);
GLAPI void GLFUN(glIndexubv)(const GLubyte *c);
GLAPI void GLFUN(glInitNames)();
GLAPI void GLFUN(glInterleavedArrays)(GLenum format,GLsizei stride,const void *pointer);
GLAPI GLboolean GLFUN(glIsEnabled)(GLenum cap);
GLAPI GLboolean GLFUN(glIsList)(GLuint list);
GLAPI GLboolean GLFUN(glIsTexture)(GLuint texture);
GLAPI void GLFUN(glLightModelf)(GLenum pname,GLfloat param);
GLAPI void GLFUN(glLightModelfv)(GLenum pname,const GLfloat *params);
GLAPI void GLFUN(glLightModeli)(GLenum pname,GLint param);
GLAPI void GLFUN(glLightModeliv)(GLenum pname,const GLint *params);
GLAPI void GLFUN(glLightf)(GLenum light,GLenum pname,GLfloat param);
GLAPI void GLFUN(glLightfv)(GLenum light,GLenum pname,const GLfloat *params);
GLAPI void GLFUN(glLighti)(GLenum light,GLenum pname,GLint param);
GLAPI void GLFUN(glLightiv)(GLenum light,GLenum pname,const GLint *params);
GLAPI void GLFUN(glLineStipple)(GLint factor,GLushort pattern);
GLAPI void GLFUN(glLineWidth)(GLfloat width);
GLAPI void GLFUN(glListBase)(GLuint base);
GLAPI void GLFUN(glLoadIdentity)();
GLAPI void GLFUN(glLoadMatrixd)(const GLdouble *m);
GLAPI void GLFUN(glLoadMatrixf)(const GLfloat *m);
GLAPI void GLFUN(glLoadName)(GLuint name);
GLAPI void GLFUN(glLogicOp)(GLenum opcode);
GLAPI void GLFUN(glMap1d)(GLenum target,GLdouble u1,GLdouble u2,GLint stride,GLint order,const GLdouble *points);
GLAPI void GLFUN(glMap1f)(GLenum target,GLfloat u1,GLfloat u2,GLint stride,GLint order,const GLfloat *points);
GLAPI void GLFUN(glMap2d)(GLenum target,GLdouble u1,GLdouble u2,GLint ustride,GLint uorder,GLdouble v1,GLdouble v2,GLint vstride,GLint vorder,const GLdouble *points);
GLAPI void GLFUN(glMap2f)(GLenum target,GLfloat u1,GLfloat u2,GLint ustride,GLint uorder,GLfloat v1,GLfloat v2,GLint vstride,GLint vorder,const GLfloat *points);
GLAPI void GLFUN(glMapGrid1d)(GLint un,GLdouble u1,GLdouble u2);
GLAPI void GLFUN(glMapGrid1f)(GLint un,GLfloat u1,GLfloat u2);
GLAPI void GLFUN(glMapGrid2d)(GLint un,GLdouble u1,GLdouble u2,GLint vn,GLdouble v1,GLdouble v2);
GLAPI void GLFUN(glMapGrid2f)(GLint un,GLfloat u1,GLfloat u2,GLint vn,GLfloat v1,GLfloat v2);
GLAPI void GLFUN(glMaterialf)(GLenum face,GLenum pname,GLfloat param);
GLAPI void GLFUN(glMaterialfv)(GLenum face,GLenum pname,const GLfloat *params);
GLAPI void GLFUN(glMateriali)(GLenum face,GLenum pname,GLint param);
GLAPI void GLFUN(glMaterialiv)(GLenum face,GLenum pname,const GLint *params);
GLAPI void GLFUN(glMatrixMode)(GLenum mode);
GLAPI void GLFUN(glMultMatrixd)(const GLdouble *m);
GLAPI void GLFUN(glMultMatrixf)(const GLfloat *m);
GLAPI void GLFUN(glNewList)(GLuint list,GLenum mode);
GLAPI void GLFUN(glNormal3b)(GLbyte nx,GLbyte ny,GLbyte nz);
GLAPI void GLFUN(glNormal3bv)(const GLbyte *v);
GLAPI void GLFUN(glNormal3d)(GLdouble nx,GLdouble ny,GLdouble nz);
GLAPI void GLFUN(glNormal3dv)(const GLdouble *v);
GLAPI void GLFUN(glNormal3f)(GLfloat nx,GLfloat ny,GLfloat nz);
GLAPI void GLFUN(glNormal3fv)(const GLfloat *v);
GLAPI void GLFUN(glNormal3i)(GLint nx,GLint ny,GLint nz);
GLAPI void GLFUN(glNormal3iv)(const GLint *v);
GLAPI void GLFUN(glNormal3s)(GLshort nx,GLshort ny,GLshort nz);
GLAPI void GLFUN(glNormal3sv)(const GLshort *v);
GLAPI void GLFUN(glNormalPointer)(GLenum type,GLsizei stride,const void *pointer);
GLAPI void GLFUN(glOrtho)(GLdouble left,GLdouble right,GLdouble bottom,GLdouble top,GLdouble zNear,GLdouble zFar);
GLAPI void GLFUN(glPassThrough)(GLfloat token);
GLAPI void GLFUN(glPixelMapfv)(GLenum map,GLsizei mapsize,const GLfloat *values);
GLAPI void GLFUN(glPixelMapuiv)(GLenum map,GLsizei mapsize,const GLuint *values);
GLAPI void GLFUN(glPixelMapusv)(GLenum map,GLsizei mapsize,const GLushort *values);
GLAPI void GLFUN(glPixelStoref)(GLenum pname,GLfloat param);
GLAPI void GLFUN(glPixelStorei)(GLenum pname,GLint param);
GLAPI void GLFUN(glPixelTransferf)(GLenum pname,GLfloat param);
GLAPI void GLFUN(glPixelTransferi)(GLenum pname,GLint param);
GLAPI void GLFUN(glPixelZoom)(GLfloat xfactor,GLfloat yfactor);
GLAPI void GLFUN(glPointSize)(GLfloat size);
GLAPI void GLFUN(glPolygonMode)(GLenum face,GLenum mode);
GLAPI void GLFUN(glPolygonOffset)(GLfloat factor,GLfloat units);
GLAPI void GLFUN(glPolygonStipple)(const GLubyte *mask);
GLAPI void GLFUN(glPopAttrib)();
GLAPI void GLFUN(glPopClientAttrib)();
GLAPI void GLFUN(glPopMatrix)();
GLAPI void GLFUN(glPopName)();
GLAPI void GLFUN(glPrioritizeTextures)(GLsizei n,const GLuint *textures,const GLclampf *priorities);
GLAPI void GLFUN(glPushAttrib)(GLbitfield mask);
GLAPI void GLFUN(glPushClientAttrib)(GLbitfield mask);
GLAPI void GLFUN(glPushMatrix)();
GLAPI void GLFUN(glPushName)(GLuint name);
GLAPI void GLFUN(glRasterPos2d)(GLdouble x,GLdouble y);
GLAPI void GLFUN(glRasterPos2dv)(const GLdouble *v);
GLAPI void GLFUN(glRasterPos2f)(GLfloat x,GLfloat y);
GLAPI void GLFUN(glRasterPos2fv)(const GLfloat *v);
GLAPI void GLFUN(glRasterPos2i)(GLint x,GLint y);
GLAPI void GLFUN(glRasterPos2iv)(const GLint *v);
GLAPI void GLFUN(glRasterPos2s)(GLshort x,GLshort y);
GLAPI void GLFUN(glRasterPos2sv)(const GLshort *v);
GLAPI void GLFUN(glRasterPos3d)(GLdouble x,GLdouble y,GLdouble z);
GLAPI void GLFUN(glRasterPos3dv)(const GLdouble *v);
GLAPI void GLFUN(glRasterPos3f)(GLfloat x,GLfloat y,GLfloat z);
GLAPI void GLFUN(glRasterPos3fv)(const GLfloat *v);
GLAPI void GLFUN(glRasterPos3i)(GLint x,GLint y,GLint z);
GLAPI void GLFUN(glRasterPos3iv)(const GLint *v);
GLAPI void GLFUN(glRasterPos3s)(GLshort x,GLshort y,GLshort z);
GLAPI void GLFUN(glRasterPos3sv)(const GLshort *v);
GLAPI void GLFUN(glRasterPos4d)(GLdouble x,GLdouble y,GLdouble z,GLdouble w);
GLAPI void GLFUN(glRasterPos4dv)(const GLdouble *v);
GLAPI void GLFUN(glRasterPos4f)(GLfloat x,GLfloat y,GLfloat z,GLfloat w);
GLAPI void GLFUN(glRasterPos4fv)(const GLfloat *v);
GLAPI void GLFUN(glRasterPos4i)(GLint x,GLint y,GLint z,GLint w);
GLAPI void GLFUN(glRasterPos4iv)(const GLint *v);
GLAPI void GLFUN(glRasterPos4s)(GLshort x,GLshort y,GLshort z,GLshort w);
GLAPI void GLFUN(glRasterPos4sv)(const GLshort *v);
GLAPI void GLFUN(glReadBuffer)(GLenum mode);
GLAPI void GLFUN(glReadPixels)(GLint x,GLint y,GLsizei width,GLsizei height,GLenum format,GLenum type,void *pixels);
GLAPI void GLFUN(glRectd)(GLdouble x1,GLdouble y1,GLdouble x2,GLdouble y2);
GLAPI void GLFUN(glRectdv)(const GLdouble *v1,const GLdouble *v2);
GLAPI void GLFUN(glRectf)(GLfloat x1,GLfloat y1,GLfloat x2,GLfloat y2);
GLAPI void GLFUN(glRectfv)(const GLfloat *v1,const GLfloat *v2);
GLAPI void GLFUN(glRecti)(GLint x1,GLint y1,GLint x2,GLint y2);
GLAPI void GLFUN(glRectiv)(const GLint *v1,const GLint *v2);
GLAPI void GLFUN(glRects)(GLshort x1,GLshort y1,GLshort x2,GLshort y2);
GLAPI void GLFUN(glRectsv)(const GLshort *v1,const GLshort *v2);
GLAPI GLint GLFUN(glRenderMode)(GLenum mode);
GLAPI void GLFUN(glRotated)(GLdouble angle,GLdouble x,GLdouble y,GLdouble z);
GLAPI void GLFUN(glRotatef)(GLfloat angle,GLfloat x,GLfloat y,GLfloat z);
GLAPI void GLFUN(glScaled)(GLdouble x,GLdouble y,GLdouble z);
GLAPI void GLFUN(glScalef)(GLfloat x,GLfloat y,GLfloat z);
GLAPI void GLFUN(glScissor)(GLint x,GLint y,GLsizei width,GLsizei height);
GLAPI void GLFUN(glSelectBuffer)(GLsizei size,GLuint *buffer);
GLAPI void GLFUN(glShadeModel)(GLenum mode);
GLAPI void GLFUN(glStencilFunc)(GLenum func,GLint ref,GLuint mask);
GLAPI void GLFUN(glStencilMask)(GLuint mask);
GLAPI void GLFUN(glStencilOp)(GLenum fail,GLenum zfail,GLenum zpass);
GLAPI void GLFUN(glTexCoord1d)(GLdouble s);
GLAPI void GLFUN(glTexCoord1dv)(const GLdouble *v);
GLAPI void GLFUN(glTexCoord1f)(GLfloat s);
GLAPI void GLFUN(glTexCoord1fv)(const GLfloat *v);
GLAPI void GLFUN(glTexCoord1i)(GLint s);
GLAPI void GLFUN(glTexCoord1iv)(const GLint *v);
GLAPI void GLFUN(glTexCoord1s)(GLshort s);
GLAPI void GLFUN(glTexCoord1sv)(const GLshort *v);
GLAPI void GLFUN(glTexCoord2d)(GLdouble s,GLdouble t);
GLAPI void GLFUN(glTexCoord2dv)(const GLdouble *v);
GLAPI void GLFUN(glTexCoord2f)(GLfloat s,GLfloat t);
GLAPI void GLFUN(glTexCoord2fv)(const GLfloat *v);
GLAPI void GLFUN(glTexCoord2i)(GLint s,GLint t);
GLAPI void GLFUN(glTexCoord2iv)(const GLint *v);
GLAPI void GLFUN(glTexCoord2s)(GLshort s,GLshort t);
GLAPI void GLFUN(glTexCoord2sv)(const GLshort *v);
GLAPI void GLFUN(glTexCoord3d)(GLdouble s,GLdouble t,GLdouble r);
GLAPI void GLFUN(glTexCoord3dv)(const GLdouble *v);
GLAPI void GLFUN(glTexCoord3f)(GLfloat s,GLfloat t,GLfloat r);
GLAPI void GLFUN(glTexCoord3fv)(const GLfloat *v);
GLAPI void GLFUN(glTexCoord3i)(GLint s,GLint t,GLint r);
GLAPI void GLFUN(glTexCoord3iv)(const GLint *v);
GLAPI void GLFUN(glTexCoord3s)(GLshort s,GLshort t,GLshort r);
GLAPI void GLFUN(glTexCoord3sv)(const GLshort *v);
GLAPI void GLFUN(glTexCoord4d)(GLdouble s,GLdouble t,GLdouble r,GLdouble q);
GLAPI void GLFUN(glTexCoord4dv)(const GLdouble *v);
GLAPI void GLFUN(glTexCoord4f)(GLfloat s,GLfloat t,GLfloat r,GLfloat q);
GLAPI void GLFUN(glTexCoord4fv)(const GLfloat *v);
GLAPI void GLFUN(glTexCoord4i)(GLint s,GLint t,GLint r,GLint q);
GLAPI void GLFUN(glTexCoord4iv)(const GLint *v);
GLAPI void GLFUN(glTexCoord4s)(GLshort s,GLshort t,GLshort r,GLshort q);
GLAPI void GLFUN(glTexCoord4sv)(const GLshort *v);
GLAPI void GLFUN(glTexCoordPointer)(GLint size,GLenum type,GLsizei stride,const void *pointer);
GLAPI void GLFUN(glTexEnvf)(GLenum target,GLenum pname,GLfloat param);
GLAPI void GLFUN(glTexEnvfv)(GLenum target,GLenum pname,const GLfloat *params);
GLAPI void GLFUN(glTexEnvi)(GLenum target,GLenum pname,GLint param);
GLAPI void GLFUN(glTexEnviv)(GLenum target,GLenum pname,const GLint *params);
GLAPI void GLFUN(glTexGend)(GLenum coord,GLenum pname,GLdouble param);
GLAPI void GLFUN(glTexGendv)(GLenum coord,GLenum pname,const GLdouble *params);
GLAPI void GLFUN(glTexGenf)(GLenum coord,GLenum pname,GLfloat param);
GLAPI void GLFUN(glTexGenfv)(GLenum coord,GLenum pname,const GLfloat *params);
GLAPI void GLFUN(glTexGeni)(GLenum coord,GLenum pname,GLint param);
GLAPI void GLFUN(glTexGeniv)(GLenum coord,GLenum pname,const GLint *params);
GLAPI void GLFUN(glTexImage1D)(GLenum target,GLint level,GLint internalformat,GLsizei width,GLint border,GLenum format,GLenum type,const void *pixels);
GLAPI void GLFUN(glTexImage2D)(GLenum target,GLint level,GLint internalformat,GLsizei width,GLsizei height,GLint border,GLenum format,GLenum type,const void *pixels);
GLAPI void GLFUN(glTexParameterf)(GLenum target,GLenum pname,GLfloat param);
GLAPI void GLFUN(glTexParameterfv)(GLenum target,GLenum pname,const GLfloat *params);
GLAPI void GLFUN(glTexParameteri)(GLenum target,GLenum pname,GLint param);
GLAPI void GLFUN(glTexParameteriv)(GLenum target,GLenum pname,const GLint *params);
GLAPI void GLFUN(glTexSubImage1D)(GLenum target,GLint level,GLint xoffset,GLsizei width,GLenum format,GLenum type,const void *pixels);
GLAPI void GLFUN(glTexSubImage2D)(GLenum target,GLint level,GLint xoffset,GLint yoffset,GLsizei width,GLsizei height,GLenum format,GLenum type,const void *pixels);
GLAPI void GLFUN(glTranslated)(GLdouble x,GLdouble y,GLdouble z);
GLAPI void GLFUN(glTranslatef)(GLfloat x,GLfloat y,GLfloat z);
GLAPI void GLFUN(glVertex2d)(GLdouble x,GLdouble y);
GLAPI void GLFUN(glVertex2dv)(const GLdouble *v);
GLAPI void GLFUN(glVertex2f)(GLfloat x,GLfloat y);
GLAPI void GLFUN(glVertex2fv)(const GLfloat *v);
GLAPI void GLFUN(glVertex2i)(GLint x,GLint y);
GLAPI void GLFUN(glVertex2iv)(const GLint *v);
GLAPI void GLFUN(glVertex2s)(GLshort x,GLshort y);
GLAPI void GLFUN(glVertex2sv)(const GLshort *v);
GLAPI void GLFUN(glVertex3d)(GLdouble x,GLdouble y,GLdouble z);
GLAPI void GLFUN(glVertex3dv)(const GLdouble *v);
GLAPI void GLFUN(glVertex3f)(GLfloat x,GLfloat y,GLfloat z);
GLAPI void GLFUN(glVertex3fv)(const GLfloat *v);
GLAPI void GLFUN(glVertex3i)(GLint x,GLint y,GLint z);
GLAPI void GLFUN(glVertex3iv)(const GLint *v);
GLAPI void GLFUN(glVertex3s)(GLshort x,GLshort y,GLshort z);
GLAPI void GLFUN(glVertex3sv)(const GLshort *v);
GLAPI void GLFUN(glVertex4d)(GLdouble x,GLdouble y,GLdouble z,GLdouble w);
GLAPI void GLFUN(glVertex4dv)(const GLdouble *v);
GLAPI void GLFUN(glVertex4f)(GLfloat x,GLfloat y,GLfloat z,GLfloat w);
GLAPI void GLFUN(glVertex4fv)(const GLfloat *v);
GLAPI void GLFUN(glVertex4i)(GLint x,GLint y,GLint z,GLint w);
GLAPI void GLFUN(glVertex4iv)(const GLint *v);
GLAPI void GLFUN(glVertex4s)(GLshort x,GLshort y,GLshort z,GLshort w);
GLAPI void GLFUN(glVertex4sv)(const GLshort *v);
GLAPI void GLFUN(glVertexPointer)(GLint size,GLenum type,GLsizei stride,const void *pointer);
GLAPI void GLFUN(glViewport)(GLint x,GLint y,GLsizei width,GLsizei height);
GLAPI void GLFUN(glCopyTexSubImage3D)(GLenum target,GLint level,GLint xoffset,GLint yoffset,GLint zoffset,GLint x,GLint y,GLsizei width,GLsizei height);
GLAPI void GLFUN(glDrawRangeElements)(GLenum mode,GLuint start,GLuint end,GLsizei count,GLenum type,const void *indices);
GLAPI void GLFUN(glTexImage3D)(GLenum target,GLint level,GLint internalFormat,GLsizei width,GLsizei height,GLsizei depth,GLint border,GLenum format,GLenum type,const void *pixels);
GLAPI void GLFUN(glTexSubImage3D)(GLenum target,GLint level,GLint xoffset,GLint yoffset,GLint zoffset,GLsizei width,GLsizei height,GLsizei depth,GLenum format,GLenum type,const void *pixels);
GLAPI void GLFUN(glActiveTexture)(GLenum texture);
GLAPI void GLFUN(glClientActiveTexture)(GLenum texture);
GLAPI void GLFUN(glCompressedTexImage1D)(GLenum target,GLint level,GLenum internalformat,GLsizei width,GLint border,GLsizei imageSize,const void *data);
GLAPI void GLFUN(glCompressedTexImage2D)(GLenum target,GLint level,GLenum internalformat,GLsizei width,GLsizei height,GLint border,GLsizei imageSize,const void *data);
GLAPI void GLFUN(glCompressedTexImage3D)(GLenum target,GLint level,GLenum internalformat,GLsizei width,GLsizei height,GLsizei depth,GLint border,GLsizei imageSize,const void *data);
GLAPI void GLFUN(glCompressedTexSubImage1D)(GLenum target,GLint level,GLint xoffset,GLsizei width,GLenum format,GLsizei imageSize,const void *data);
GLAPI void GLFUN(glCompressedTexSubImage2D)(GLenum target,GLint level,GLint xoffset,GLint yoffset,GLsizei width,GLsizei height,GLenum format,GLsizei imageSize,const void *data);
GLAPI void GLFUN(glCompressedTexSubImage3D)(GLenum target,GLint level,GLint xoffset,GLint yoffset,GLint zoffset,GLsizei width,GLsizei height,GLsizei depth,GLenum format,GLsizei imageSize,const void *data);
GLAPI void GLFUN(glGetCompressedTexImage)(GLenum target,GLint lod,void *img);
GLAPI void GLFUN(glLoadTransposeMatrixd)(const GLdouble m[16]);
GLAPI void GLFUN(glLoadTransposeMatrixf)(const GLfloat m[16]);
GLAPI void GLFUN(glMultTransposeMatrixd)(const GLdouble m[16]);
GLAPI void GLFUN(glMultTransposeMatrixf)(const GLfloat m[16]);
GLAPI void GLFUN(glMultiTexCoord1d)(GLenum target,GLdouble s);
GLAPI void GLFUN(glMultiTexCoord1dv)(GLenum target,const GLdouble *v);
GLAPI void GLFUN(glMultiTexCoord1f)(GLenum target,GLfloat s);
GLAPI void GLFUN(glMultiTexCoord1fv)(GLenum target,const GLfloat *v);
GLAPI void GLFUN(glMultiTexCoord1i)(GLenum target,GLint s);
GLAPI void GLFUN(glMultiTexCoord1iv)(GLenum target,const GLint *v);
GLAPI void GLFUN(glMultiTexCoord1s)(GLenum target,GLshort s);
GLAPI void GLFUN(glMultiTexCoord1sv)(GLenum target,const GLshort *v);
GLAPI void GLFUN(glMultiTexCoord2d)(GLenum target,GLdouble s,GLdouble t);
GLAPI void GLFUN(glMultiTexCoord2dv)(GLenum target,const GLdouble *v);
GLAPI void GLFUN(glMultiTexCoord2f)(GLenum target,GLfloat s,GLfloat t);
GLAPI void GLFUN(glMultiTexCoord2fv)(GLenum target,const GLfloat *v);
GLAPI void GLFUN(glMultiTexCoord2i)(GLenum target,GLint s,GLint t);
GLAPI void GLFUN(glMultiTexCoord2iv)(GLenum target,const GLint *v);
GLAPI void GLFUN(glMultiTexCoord2s)(GLenum target,GLshort s,GLshort t);
GLAPI void GLFUN(glMultiTexCoord2sv)(GLenum target,const GLshort *v);
GLAPI void GLFUN(glMultiTexCoord3d)(GLenum target,GLdouble s,GLdouble t,GLdouble r);
GLAPI void GLFUN(glMultiTexCoord3dv)(GLenum target,const GLdouble *v);
GLAPI void GLFUN(glMultiTexCoord3f)(GLenum target,GLfloat s,GLfloat t,GLfloat r);
GLAPI void GLFUN(glMultiTexCoord3fv)(GLenum target,const GLfloat *v);
GLAPI void GLFUN(glMultiTexCoord3i)(GLenum target,GLint s,GLint t,GLint r);
GLAPI void GLFUN(glMultiTexCoord3iv)(GLenum target,const GLint *v);
GLAPI void GLFUN(glMultiTexCoord3s)(GLenum target,GLshort s,GLshort t,GLshort r);
GLAPI void GLFUN(glMultiTexCoord3sv)(GLenum target,const GLshort *v);
GLAPI void GLFUN(glMultiTexCoord4d)(GLenum target,GLdouble s,GLdouble t,GLdouble r,GLdouble q);
GLAPI void GLFUN(glMultiTexCoord4dv)(GLenum target,const GLdouble *v);
GLAPI void GLFUN(glMultiTexCoord4f)(GLenum target,GLfloat s,GLfloat t,GLfloat r,GLfloat q);
GLAPI void GLFUN(glMultiTexCoord4fv)(GLenum target,const GLfloat *v);
GLAPI void GLFUN(glMultiTexCoord4i)(GLenum target,GLint s,GLint t,GLint r,GLint q);
GLAPI void GLFUN(glMultiTexCoord4iv)(GLenum target,const GLint *v);
GLAPI void GLFUN(glMultiTexCoord4s)(GLenum target,GLshort s,GLshort t,GLshort r,GLshort q);
GLAPI void GLFUN(glMultiTexCoord4sv)(GLenum target,const GLshort *v);
GLAPI void GLFUN(glSampleCoverage)(GLclampf value,GLboolean invert);
GLAPI void GLFUN(glBlendColor)(GLclampf red,GLclampf green,GLclampf blue,GLclampf alpha);
GLAPI void GLFUN(glBlendEquation)(GLenum mode);
GLAPI void GLFUN(glBlendFuncSeparate)(GLenum sfactorRGB,GLenum dfactorRGB,GLenum sfactorAlpha,GLenum dfactorAlpha);
GLAPI void GLFUN(glFogCoordPointer)(GLenum type,GLsizei stride,const void *pointer);
GLAPI void GLFUN(glFogCoordd)(GLdouble coord);
GLAPI void GLFUN(glFogCoorddv)(const GLdouble *coord);
GLAPI void GLFUN(glFogCoordf)(GLfloat coord);
GLAPI void GLFUN(glFogCoordfv)(const GLfloat *coord);
GLAPI void GLFUN(glMultiDrawArrays)(GLenum mode,const GLint *first,const GLsizei *count,GLsizei drawcount);
GLAPI void GLFUN(glMultiDrawElements)(GLenum mode,const GLsizei *count,GLenum type,const void *const* indices,GLsizei drawcount);
GLAPI void GLFUN(glPointParameterf)(GLenum pname,GLfloat param);
GLAPI void GLFUN(glPointParameterfv)(GLenum pname,const GLfloat *params);
GLAPI void GLFUN(glPointParameteri)(GLenum pname,GLint param);
GLAPI void GLFUN(glPointParameteriv)(GLenum pname,const GLint *params);
GLAPI void GLFUN(glSecondaryColor3b)(GLbyte red,GLbyte green,GLbyte blue);
GLAPI void GLFUN(glSecondaryColor3bv)(const GLbyte *v);
GLAPI void GLFUN(glSecondaryColor3d)(GLdouble red,GLdouble green,GLdouble blue);
GLAPI void GLFUN(glSecondaryColor3dv)(const GLdouble *v);
GLAPI void GLFUN(glSecondaryColor3f)(GLfloat red,GLfloat green,GLfloat blue);
GLAPI void GLFUN(glSecondaryColor3fv)(const GLfloat *v);
GLAPI void GLFUN(glSecondaryColor3i)(GLint red,GLint green,GLint blue);
GLAPI void GLFUN(glSecondaryColor3iv)(const GLint *v);
GLAPI void GLFUN(glSecondaryColor3s)(GLshort red,GLshort green,GLshort blue);
GLAPI void GLFUN(glSecondaryColor3sv)(const GLshort *v);
GLAPI void GLFUN(glSecondaryColor3ub)(GLubyte red,GLubyte green,GLubyte blue);
GLAPI void GLFUN(glSecondaryColor3ubv)(const GLubyte *v);
GLAPI void GLFUN(glSecondaryColor3ui)(GLuint red,GLuint green,GLuint blue);
GLAPI void GLFUN(glSecondaryColor3uiv)(const GLuint *v);
GLAPI void GLFUN(glSecondaryColor3us)(GLushort red,GLushort green,GLushort blue);
GLAPI void GLFUN(glSecondaryColor3usv)(const GLushort *v);
GLAPI void GLFUN(glSecondaryColorPointer)(GLint size,GLenum type,GLsizei stride,const void *pointer);
GLAPI void GLFUN(glWindowPos2d)(GLdouble x,GLdouble y);
GLAPI void GLFUN(glWindowPos2dv)(const GLdouble *p);
GLAPI void GLFUN(glWindowPos2f)(GLfloat x,GLfloat y);
GLAPI void GLFUN(glWindowPos2fv)(const GLfloat *p);
GLAPI void GLFUN(glWindowPos2i)(GLint x,GLint y);
GLAPI void GLFUN(glWindowPos2iv)(const GLint *p);
GLAPI void GLFUN(glWindowPos2s)(GLshort x,GLshort y);
GLAPI void GLFUN(glWindowPos2sv)(const GLshort *p);
GLAPI void GLFUN(glWindowPos3d)(GLdouble x,GLdouble y,GLdouble z);
GLAPI void GLFUN(glWindowPos3dv)(const GLdouble *p);
GLAPI void GLFUN(glWindowPos3f)(GLfloat x,GLfloat y,GLfloat z);
GLAPI void GLFUN(glWindowPos3fv)(const GLfloat *p);
GLAPI void GLFUN(glWindowPos3i)(GLint x,GLint y,GLint z);
GLAPI void GLFUN(glWindowPos3iv)(const GLint *p);
GLAPI void GLFUN(glWindowPos3s)(GLshort x,GLshort y,GLshort z);
GLAPI void GLFUN(glWindowPos3sv)(const GLshort *p);
GLAPI void GLFUN(glBeginQuery)(GLenum target,GLuint id);
GLAPI void GLFUN(glBindBuffer)(GLenum target,GLuint buffer);
GLAPI void GLFUN(glBufferData)(GLenum target,GLsizeiptr size,const void* data,GLenum usage);
GLAPI void GLFUN(glBufferSubData)(GLenum target,GLintptr offset,GLsizeiptr size,const void* data);
GLAPI void GLFUN(glDeleteBuffers)(GLsizei n,const GLuint* buffers);
GLAPI void GLFUN(glDeleteQueries)(GLsizei n,const GLuint* ids);
GLAPI void GLFUN(glEndQuery)(GLenum target);
GLAPI void GLFUN(glGenBuffers)(GLsizei n,GLuint* buffers);
GLAPI void GLFUN(glGenQueries)(GLsizei n,GLuint* ids);
GLAPI void GLFUN(glGetBufferParameteriv)(GLenum target,GLenum pname,GLint* params);
GLAPI void GLFUN(glGetBufferPointerv)(GLenum target,GLenum pname,void** params);
GLAPI void GLFUN(glGetBufferSubData)(GLenum target,GLintptr offset,GLsizeiptr size,void* data);
GLAPI void GLFUN(glGetQueryObjectiv)(GLuint id,GLenum pname,GLint* params);
GLAPI void GLFUN(glGetQueryObjectuiv)(GLuint id,GLenum pname,GLuint* params);
GLAPI void GLFUN(glGetQueryiv)(GLenum target,GLenum pname,GLint* params);
GLAPI GLboolean GLFUN(glIsBuffer)(GLuint buffer);
GLAPI GLboolean GLFUN(glIsQuery)(GLuint id);
GLAPI void* GLFUN(glMapBuffer)(GLenum target,GLenum access);
GLAPI GLboolean GLFUN(glUnmapBuffer)(GLenum target);
GLAPI void GLFUN(glAttachShader)(GLuint program,GLuint shader);
GLAPI void GLFUN(glBindAttribLocation)(GLuint program,GLuint index,const GLchar* name);
GLAPI void GLFUN(glBlendEquationSeparate)(GLenum modeRGB,GLenum modeAlpha);
GLAPI void GLFUN(glCompileShader)(GLuint shader);
GLAPI GLuint GLFUN(glCreateProgram)();
GLAPI GLuint GLFUN(glCreateShader)(GLenum type);
GLAPI void GLFUN(glDeleteProgram)(GLuint program);
GLAPI void GLFUN(glDeleteShader)(GLuint shader);
GLAPI void GLFUN(glDetachShader)(GLuint program,GLuint shader);
GLAPI void GLFUN(glDisableVertexAttribArray)(GLuint index);
GLAPI void GLFUN(glDrawBuffers)(GLsizei n,const GLenum* bufs);
GLAPI void GLFUN(glEnableVertexAttribArray)(GLuint index);
GLAPI void GLFUN(glGetActiveAttrib)(GLuint program,GLuint index,GLsizei maxLength,GLsizei* length,GLint* size,GLenum* type,GLchar* name);
GLAPI void GLFUN(glGetActiveUniform)(GLuint program,GLuint index,GLsizei maxLength,GLsizei* length,GLint* size,GLenum* type,GLchar* name);
GLAPI void GLFUN(glGetAttachedShaders)(GLuint program,GLsizei maxCount,GLsizei* count,GLuint* shaders);
GLAPI GLint GLFUN(glGetAttribLocation)(GLuint program,const GLchar* name);
GLAPI void GLFUN(glGetProgramInfoLog)(GLuint program,GLsizei bufSize,GLsizei* length,GLchar* infoLog);
GLAPI void GLFUN(glGetProgramiv)(GLuint program,GLenum pname,GLint* param);
GLAPI void GLFUN(glGetShaderInfoLog)(GLuint shader,GLsizei bufSize,GLsizei* length,GLchar* infoLog);
GLAPI void GLFUN(glGetShaderSource)(GLuint obj,GLsizei maxLength,GLsizei* length,GLchar* source);
GLAPI void GLFUN(glGetShaderiv)(GLuint shader,GLenum pname,GLint* param);
GLAPI GLint GLFUN(glGetUniformLocation)(GLuint program,const GLchar* name);
GLAPI void GLFUN(glGetUniformfv)(GLuint program,GLint location,GLfloat* params);
GLAPI void GLFUN(glGetUniformiv)(GLuint program,GLint location,GLint* params);
GLAPI void GLFUN(glGetVertexAttribPointerv)(GLuint index,GLenum pname,void** pointer);
GLAPI void GLFUN(glGetVertexAttribdv)(GLuint index,GLenum pname,GLdouble* params);
GLAPI void GLFUN(glGetVertexAttribfv)(GLuint index,GLenum pname,GLfloat* params);
GLAPI void GLFUN(glGetVertexAttribiv)(GLuint index,GLenum pname,GLint* params);
GLAPI GLboolean GLFUN(glIsProgram)(GLuint program);
GLAPI GLboolean GLFUN(glIsShader)(GLuint shader);
GLAPI void GLFUN(glLinkProgram)(GLuint program);
GLAPI void GLFUN(glShaderSource)(GLuint shader,GLsizei count,const GLchar *const* string,const GLint* length);
GLAPI void GLFUN(glStencilFuncSeparate)(GLenum frontfunc,GLenum backfunc,GLint ref,GLuint mask);
GLAPI void GLFUN(glStencilMaskSeparate)(GLenum face,GLuint mask);
GLAPI void GLFUN(glStencilOpSeparate)(GLenum face,GLenum sfail,GLenum dpfail,GLenum dppass);
GLAPI void GLFUN(glUniform1f)(GLint location,GLfloat v0);
GLAPI void GLFUN(glUniform1fv)(GLint location,GLsizei count,const GLfloat* value);
GLAPI void GLFUN(glUniform1i)(GLint location,GLint v0);
GLAPI void GLFUN(glUniform1iv)(GLint location,GLsizei count,const GLint* value);
GLAPI void GLFUN(glUniform2f)(GLint location,GLfloat v0,GLfloat v1);
GLAPI void GLFUN(glUniform2fv)(GLint location,GLsizei count,const GLfloat* value);
GLAPI void GLFUN(glUniform2i)(GLint location,GLint v0,GLint v1);
GLAPI void GLFUN(glUniform2iv)(GLint location,GLsizei count,const GLint* value);
GLAPI void GLFUN(glUniform3f)(GLint location,GLfloat v0,GLfloat v1,GLfloat v2);
GLAPI void GLFUN(glUniform3fv)(GLint location,GLsizei count,const GLfloat* value);
GLAPI void GLFUN(glUniform3i)(GLint location,GLint v0,GLint v1,GLint v2);
GLAPI void GLFUN(glUniform3iv)(GLint location,GLsizei count,const GLint* value);
GLAPI void GLFUN(glUniform4f)(GLint location,GLfloat v0,GLfloat v1,GLfloat v2,GLfloat v3);
GLAPI void GLFUN(glUniform4fv)(GLint location,GLsizei count,const GLfloat* value);
GLAPI void GLFUN(glUniform4i)(GLint location,GLint v0,GLint v1,GLint v2,GLint v3);
GLAPI void GLFUN(glUniform4iv)(GLint location,GLsizei count,const GLint* value);
GLAPI void GLFUN(glUniformMatrix2fv)(GLint location,GLsizei count,GLboolean transpose,const GLfloat* value);
GLAPI void GLFUN(glUniformMatrix3fv)(GLint location,GLsizei count,GLboolean transpose,const GLfloat* value);
GLAPI void GLFUN(glUniformMatrix4fv)(GLint location,GLsizei count,GLboolean transpose,const GLfloat* value);
GLAPI void GLFUN(glUseProgram)(GLuint program);
GLAPI void GLFUN(glValidateProgram)(GLuint program);
GLAPI void GLFUN(glVertexAttrib1d)(GLuint index,GLdouble x);
GLAPI void GLFUN(glVertexAttrib1dv)(GLuint index,const GLdouble* v);
GLAPI void GLFUN(glVertexAttrib1f)(GLuint index,GLfloat x);
GLAPI void GLFUN(glVertexAttrib1fv)(GLuint index,const GLfloat* v);
GLAPI void GLFUN(glVertexAttrib1s)(GLuint index,GLshort x);
GLAPI void GLFUN(glVertexAttrib1sv)(GLuint index,const GLshort* v);
GLAPI void GLFUN(glVertexAttrib2d)(GLuint index,GLdouble x,GLdouble y);
GLAPI void GLFUN(glVertexAttrib2dv)(GLuint index,const GLdouble* v);
GLAPI void GLFUN(glVertexAttrib2f)(GLuint index,GLfloat x,GLfloat y);
GLAPI void GLFUN(glVertexAttrib2fv)(GLuint index,const GLfloat* v);
GLAPI void GLFUN(glVertexAttrib2s)(GLuint index,GLshort x,GLshort y);
GLAPI void GLFUN(glVertexAttrib2sv)(GLuint index,const GLshort* v);
GLAPI void GLFUN(glVertexAttrib3d)(GLuint index,GLdouble x,GLdouble y,GLdouble z);
GLAPI void GLFUN(glVertexAttrib3dv)(GLuint index,const GLdouble* v);
GLAPI void GLFUN(glVertexAttrib3f)(GLuint index,GLfloat x,GLfloat y,GLfloat z);
GLAPI void GLFUN(glVertexAttrib3fv)(GLuint index,const GLfloat* v);
GLAPI void GLFUN(glVertexAttrib3s)(GLuint index,GLshort x,GLshort y,GLshort z);
GLAPI void GLFUN(glVertexAttrib3sv)(GLuint index,const GLshort* v);
GLAPI void GLFUN(glVertexAttrib4Nbv)(GLuint index,const GLbyte* v);
GLAPI void GLFUN(glVertexAttrib4Niv)(GLuint index,const GLint* v);
GLAPI void GLFUN(glVertexAttrib4Nsv)(GLuint index,const GLshort* v);
GLAPI void GLFUN(glVertexAttrib4Nub)(GLuint index,GLubyte x,GLubyte y,GLubyte z,GLubyte w);
GLAPI void GLFUN(glVertexAttrib4Nubv)(GLuint index,const GLubyte* v);
GLAPI void GLFUN(glVertexAttrib4Nuiv)(GLuint index,const GLuint* v);
GLAPI void GLFUN(glVertexAttrib4Nusv)(GLuint index,const GLushort* v);
GLAPI void GLFUN(glVertexAttrib4bv)(GLuint index,const GLbyte* v);
GLAPI void GLFUN(glVertexAttrib4d)(GLuint index,GLdouble x,GLdouble y,GLdouble z,GLdouble w);
GLAPI void GLFUN(glVertexAttrib4dv)(GLuint index,const GLdouble* v);
GLAPI void GLFUN(glVertexAttrib4f)(GLuint index,GLfloat x,GLfloat y,GLfloat z,GLfloat w);
GLAPI void GLFUN(glVertexAttrib4fv)(GLuint index,const GLfloat* v);
GLAPI void GLFUN(glVertexAttrib4iv)(GLuint index,const GLint* v);
GLAPI void GLFUN(glVertexAttrib4s)(GLuint index,GLshort x,GLshort y,GLshort z,GLshort w);
GLAPI void GLFUN(glVertexAttrib4sv)(GLuint index,const GLshort* v);
GLAPI void GLFUN(glVertexAttrib4ubv)(GLuint index,const GLubyte* v);
GLAPI void GLFUN(glVertexAttrib4uiv)(GLuint index,const GLuint* v);
GLAPI void GLFUN(glVertexAttrib4usv)(GLuint index,const GLushort* v);
GLAPI void GLFUN(glVertexAttribPointer)(GLuint index,GLint size,GLenum type,GLboolean normalized,GLsizei stride,const void* pointer);
GLAPI void GLFUN(glUniformMatrix2x3fv)(GLint location,GLsizei count,GLboolean transpose,const GLfloat *value);
GLAPI void GLFUN(glUniformMatrix2x4fv)(GLint location,GLsizei count,GLboolean transpose,const GLfloat *value);
GLAPI void GLFUN(glUniformMatrix3x2fv)(GLint location,GLsizei count,GLboolean transpose,const GLfloat *value);
GLAPI void GLFUN(glUniformMatrix3x4fv)(GLint location,GLsizei count,GLboolean transpose,const GLfloat *value);
GLAPI void GLFUN(glUniformMatrix4x2fv)(GLint location,GLsizei count,GLboolean transpose,const GLfloat *value);
GLAPI void GLFUN(glUniformMatrix4x3fv)(GLint location,GLsizei count,GLboolean transpose,const GLfloat *value);
GLAPI void GLFUN(glBindFramebuffer)(GLenum target,GLuint framebuffer);
GLAPI void GLFUN(glBindRenderbuffer)(GLenum target,GLuint renderbuffer);
GLAPI void GLFUN(glBlitFramebuffer)(GLint srcX0,GLint srcY0,GLint srcX1,GLint srcY1,GLint dstX0,GLint dstY0,GLint dstX1,GLint dstY1,GLbitfield mask,GLenum filter);
GLAPI GLenum GLFUN(glCheckFramebufferStatus)(GLenum target);
GLAPI void GLFUN(glDeleteFramebuffers)(GLsizei n,const GLuint* framebuffers);
GLAPI void GLFUN(glDeleteRenderbuffers)(GLsizei n,const GLuint* renderbuffers);
GLAPI void GLFUN(glFramebufferRenderbuffer)(GLenum target,GLenum attachment,GLenum renderbuffertarget,GLuint renderbuffer);
GLAPI void GLFUN(glFramebufferTexture1D)(GLenum target,GLenum attachment,GLenum textarget,GLuint texture,GLint level);
GLAPI void GLFUN(glFramebufferTexture2D)(GLenum target,GLenum attachment,GLenum textarget,GLuint texture,GLint level);
GLAPI void GLFUN(glFramebufferTexture3D)(GLenum target,GLenum attachment,GLenum textarget,GLuint texture,GLint level,GLint layer);
GLAPI void GLFUN(glFramebufferTextureLayer)(GLenum target,GLenum attachment,GLuint texture,GLint level,GLint layer);
GLAPI void GLFUN(glGenFramebuffers)(GLsizei n,GLuint* framebuffers);
GLAPI void GLFUN(glGenRenderbuffers)(GLsizei n,GLuint* renderbuffers);
GLAPI void GLFUN(glGenerateMipmap)(GLenum target);
GLAPI void GLFUN(glGetFramebufferAttachmentParameteriv)(GLenum target,GLenum attachment,GLenum pname,GLint* params);
GLAPI void GLFUN(glGetRenderbufferParameteriv)(GLenum target,GLenum pname,GLint* params);
GLAPI GLboolean GLFUN(glIsFramebuffer)(GLuint framebuffer);
GLAPI GLboolean GLFUN(glIsRenderbuffer)(GLuint renderbuffer);
GLAPI void GLFUN(glRenderbufferStorage)(GLenum target,GLenum internalformat,GLsizei width,GLsizei height);
GLAPI void GLFUN(glRenderbufferStorageMultisample)(GLenum target,GLsizei samples,GLenum internalformat,GLsizei width,GLsizei height);

#if !__EMSCRIPTEN__
#define glAccum wxglAccum
#define glAlphaFunc wxglAlphaFunc
#define glAreTexturesResident wxglAreTexturesResident
#define glArrayElement wxglArrayElement
#define glBegin wxglBegin
#define glBindTexture wxglBindTexture
#define glBitmap wxglBitmap
#define glBlendFunc wxglBlendFunc
#define glCallList wxglCallList
#define glCallLists wxglCallLists
#define glClear wxglClear
#define glClearAccum wxglClearAccum
#define glClearColor wxglClearColor
#define glClearDepth wxglClearDepth
#define glClearIndex wxglClearIndex
#define glClearStencil wxglClearStencil
#define glClipPlane wxglClipPlane
#define glColor3b wxglColor3b
#define glColor3bv wxglColor3bv
#define glColor3d wxglColor3d
#define glColor3dv wxglColor3dv
#define glColor3f wxglColor3f
#define glColor3fv wxglColor3fv
#define glColor3i wxglColor3i
#define glColor3iv wxglColor3iv
#define glColor3s wxglColor3s
#define glColor3sv wxglColor3sv
#define glColor3ub wxglColor3ub
#define glColor3ubv wxglColor3ubv
#define glColor3ui wxglColor3ui
#define glColor3uiv wxglColor3uiv
#define glColor3us wxglColor3us
#define glColor3usv wxglColor3usv
#define glColor4b wxglColor4b
#define glColor4bv wxglColor4bv
#define glColor4d wxglColor4d
#define glColor4dv wxglColor4dv
#define glColor4f wxglColor4f
#define glColor4fv wxglColor4fv
#define glColor4i wxglColor4i
#define glColor4iv wxglColor4iv
#define glColor4s wxglColor4s
#define glColor4sv wxglColor4sv
#define glColor4ub wxglColor4ub
#define glColor4ubv wxglColor4ubv
#define glColor4ui wxglColor4ui
#define glColor4uiv wxglColor4uiv
#define glColor4us wxglColor4us
#define glColor4usv wxglColor4usv
#define glColorMask wxglColorMask
#define glColorMaterial wxglColorMaterial
#define glColorPointer wxglColorPointer
#define glCopyPixels wxglCopyPixels
#define glCopyTexImage1D wxglCopyTexImage1D
#define glCopyTexImage2D wxglCopyTexImage2D
#define glCopyTexSubImage1D wxglCopyTexSubImage1D
#define glCopyTexSubImage2D wxglCopyTexSubImage2D
#define glCullFace wxglCullFace
#define glDeleteLists wxglDeleteLists
#define glDeleteTextures wxglDeleteTextures
#define glDepthFunc wxglDepthFunc
#define glDepthMask wxglDepthMask
#define glDepthRange wxglDepthRange
#define glDisable wxglDisable
#define glDisableClientState wxglDisableClientState
#define glDrawArrays wxglDrawArrays
#define glDrawBuffer wxglDrawBuffer
#define glDrawElements wxglDrawElements
#define glDrawPixels wxglDrawPixels
#define glEdgeFlag wxglEdgeFlag
#define glEdgeFlagPointer wxglEdgeFlagPointer
#define glEdgeFlagv wxglEdgeFlagv
#define glEnable wxglEnable
#define glEnableClientState wxglEnableClientState
#define glEnd wxglEnd
#define glEndList wxglEndList
#define glEvalCoord1d wxglEvalCoord1d
#define glEvalCoord1dv wxglEvalCoord1dv
#define glEvalCoord1f wxglEvalCoord1f
#define glEvalCoord1fv wxglEvalCoord1fv
#define glEvalCoord2d wxglEvalCoord2d
#define glEvalCoord2dv wxglEvalCoord2dv
#define glEvalCoord2f wxglEvalCoord2f
#define glEvalCoord2fv wxglEvalCoord2fv
#define glEvalMesh1 wxglEvalMesh1
#define glEvalMesh2 wxglEvalMesh2
#define glEvalPoint1 wxglEvalPoint1
#define glEvalPoint2 wxglEvalPoint2
#define glFeedbackBuffer wxglFeedbackBuffer
#define glFinish wxglFinish
#define glFlush wxglFlush
#define glFogf wxglFogf
#define glFogfv wxglFogfv
#define glFogi wxglFogi
#define glFogiv wxglFogiv
#define glFrontFace wxglFrontFace
#define glFrustum wxglFrustum
#define glGenLists wxglGenLists
#define glGenTextures wxglGenTextures
#define glGetBooleanv wxglGetBooleanv
#define glGetClipPlane wxglGetClipPlane
#define glGetDoublev wxglGetDoublev
#define glGetError wxglGetError
#define glGetFloatv wxglGetFloatv
#define glGetIntegerv wxglGetIntegerv
#define glGetLightfv wxglGetLightfv
#define glGetLightiv wxglGetLightiv
#define glGetMapdv wxglGetMapdv
#define glGetMapfv wxglGetMapfv
#define glGetMapiv wxglGetMapiv
#define glGetMaterialfv wxglGetMaterialfv
#define glGetMaterialiv wxglGetMaterialiv
#define glGetPixelMapfv wxglGetPixelMapfv
#define glGetPixelMapuiv wxglGetPixelMapuiv
#define glGetPixelMapusv wxglGetPixelMapusv
#define glGetPointerv wxglGetPointerv
#define glGetPolygonStipple wxglGetPolygonStipple
#define glGetString wxglGetString
#define glGetTexEnvfv wxglGetTexEnvfv
#define glGetTexEnviv wxglGetTexEnviv
#define glGetTexGendv wxglGetTexGendv
#define glGetTexGenfv wxglGetTexGenfv
#define glGetTexGeniv wxglGetTexGeniv
#define glGetTexImage wxglGetTexImage
#define glGetTexLevelParameterfv wxglGetTexLevelParameterfv
#define glGetTexLevelParameteriv wxglGetTexLevelParameteriv
#define glGetTexParameterfv wxglGetTexParameterfv
#define glGetTexParameteriv wxglGetTexParameteriv
#define glHint wxglHint
#define glIndexMask wxglIndexMask
#define glIndexPointer wxglIndexPointer
#define glIndexd wxglIndexd
#define glIndexdv wxglIndexdv
#define glIndexf wxglIndexf
#define glIndexfv wxglIndexfv
#define glIndexi wxglIndexi
#define glIndexiv wxglIndexiv
#define glIndexs wxglIndexs
#define glIndexsv wxglIndexsv
#define glIndexub wxglIndexub
#define glIndexubv wxglIndexubv
#define glInitNames wxglInitNames
#define glInterleavedArrays wxglInterleavedArrays
#define glIsEnabled wxglIsEnabled
#define glIsList wxglIsList
#define glIsTexture wxglIsTexture
#define glLightModelf wxglLightModelf
#define glLightModelfv wxglLightModelfv
#define glLightModeli wxglLightModeli
#define glLightModeliv wxglLightModeliv
#define glLightf wxglLightf
#define glLightfv wxglLightfv
#define glLighti wxglLighti
#define glLightiv wxglLightiv
#define glLineStipple wxglLineStipple
#define glLineWidth wxglLineWidth
#define glListBase wxglListBase
#define glLoadIdentity wxglLoadIdentity
#define glLoadMatrixd wxglLoadMatrixd
#define glLoadMatrixf wxglLoadMatrixf
#define glLoadName wxglLoadName
#define glLogicOp wxglLogicOp
#define glMap1d wxglMap1d
#define glMap1f wxglMap1f
#define glMap2d wxglMap2d
#define glMap2f wxglMap2f
#define glMapGrid1d wxglMapGrid1d
#define glMapGrid1f wxglMapGrid1f
#define glMapGrid2d wxglMapGrid2d
#define glMapGrid2f wxglMapGrid2f
#define glMaterialf wxglMaterialf
#define glMaterialfv wxglMaterialfv
#define glMateriali wxglMateriali
#define glMaterialiv wxglMaterialiv
#define glMatrixMode wxglMatrixMode
#define glMultMatrixd wxglMultMatrixd
#define glMultMatrixf wxglMultMatrixf
#define glNewList wxglNewList
#define glNormal3b wxglNormal3b
#define glNormal3bv wxglNormal3bv
#define glNormal3d wxglNormal3d
#define glNormal3dv wxglNormal3dv
#define glNormal3f wxglNormal3f
#define glNormal3fv wxglNormal3fv
#define glNormal3i wxglNormal3i
#define glNormal3iv wxglNormal3iv
#define glNormal3s wxglNormal3s
#define glNormal3sv wxglNormal3sv
#define glNormalPointer wxglNormalPointer
#define glOrtho wxglOrtho
#define glPassThrough wxglPassThrough
#define glPixelMapfv wxglPixelMapfv
#define glPixelMapuiv wxglPixelMapuiv
#define glPixelMapusv wxglPixelMapusv
#define glPixelStoref wxglPixelStoref
#define glPixelStorei wxglPixelStorei
#define glPixelTransferf wxglPixelTransferf
#define glPixelTransferi wxglPixelTransferi
#define glPixelZoom wxglPixelZoom
#define glPointSize wxglPointSize
#define glPolygonMode wxglPolygonMode
#define glPolygonOffset wxglPolygonOffset
#define glPolygonStipple wxglPolygonStipple
#define glPopAttrib wxglPopAttrib
#define glPopClientAttrib wxglPopClientAttrib
#define glPopMatrix wxglPopMatrix
#define glPopName wxglPopName
#define glPrioritizeTextures wxglPrioritizeTextures
#define glPushAttrib wxglPushAttrib
#define glPushClientAttrib wxglPushClientAttrib
#define glPushMatrix wxglPushMatrix
#define glPushName wxglPushName
#define glRasterPos2d wxglRasterPos2d
#define glRasterPos2dv wxglRasterPos2dv
#define glRasterPos2f wxglRasterPos2f
#define glRasterPos2fv wxglRasterPos2fv
#define glRasterPos2i wxglRasterPos2i
#define glRasterPos2iv wxglRasterPos2iv
#define glRasterPos2s wxglRasterPos2s
#define glRasterPos2sv wxglRasterPos2sv
#define glRasterPos3d wxglRasterPos3d
#define glRasterPos3dv wxglRasterPos3dv
#define glRasterPos3f wxglRasterPos3f
#define glRasterPos3fv wxglRasterPos3fv
#define glRasterPos3i wxglRasterPos3i
#define glRasterPos3iv wxglRasterPos3iv
#define glRasterPos3s wxglRasterPos3s
#define glRasterPos3sv wxglRasterPos3sv
#define glRasterPos4d wxglRasterPos4d
#define glRasterPos4dv wxglRasterPos4dv
#define glRasterPos4f wxglRasterPos4f
#define glRasterPos4fv wxglRasterPos4fv
#define glRasterPos4i wxglRasterPos4i
#define glRasterPos4iv wxglRasterPos4iv
#define glRasterPos4s wxglRasterPos4s
#define glRasterPos4sv wxglRasterPos4sv
#define glReadBuffer wxglReadBuffer
#define glReadPixels wxglReadPixels
#define glRectd wxglRectd
#define glRectdv wxglRectdv
#define glRectf wxglRectf
#define glRectfv wxglRectfv
#define glRecti wxglRecti
#define glRectiv wxglRectiv
#define glRects wxglRects
#define glRectsv wxglRectsv
#define glRenderMode wxglRenderMode
#define glRotated wxglRotated
#define glRotatef wxglRotatef
#define glScaled wxglScaled
#define glScalef wxglScalef
#define glScissor wxglScissor
#define glSelectBuffer wxglSelectBuffer
#define glShadeModel wxglShadeModel
#define glStencilFunc wxglStencilFunc
#define glStencilMask wxglStencilMask
#define glStencilOp wxglStencilOp
#define glTexCoord1d wxglTexCoord1d
#define glTexCoord1dv wxglTexCoord1dv
#define glTexCoord1f wxglTexCoord1f
#define glTexCoord1fv wxglTexCoord1fv
#define glTexCoord1i wxglTexCoord1i
#define glTexCoord1iv wxglTexCoord1iv
#define glTexCoord1s wxglTexCoord1s
#define glTexCoord1sv wxglTexCoord1sv
#define glTexCoord2d wxglTexCoord2d
#define glTexCoord2dv wxglTexCoord2dv
#define glTexCoord2f wxglTexCoord2f
#define glTexCoord2fv wxglTexCoord2fv
#define glTexCoord2i wxglTexCoord2i
#define glTexCoord2iv wxglTexCoord2iv
#define glTexCoord2s wxglTexCoord2s
#define glTexCoord2sv wxglTexCoord2sv
#define glTexCoord3d wxglTexCoord3d
#define glTexCoord3dv wxglTexCoord3dv
#define glTexCoord3f wxglTexCoord3f
#define glTexCoord3fv wxglTexCoord3fv
#define glTexCoord3i wxglTexCoord3i
#define glTexCoord3iv wxglTexCoord3iv
#define glTexCoord3s wxglTexCoord3s
#define glTexCoord3sv wxglTexCoord3sv
#define glTexCoord4d wxglTexCoord4d
#define glTexCoord4dv wxglTexCoord4dv
#define glTexCoord4f wxglTexCoord4f
#define glTexCoord4fv wxglTexCoord4fv
#define glTexCoord4i wxglTexCoord4i
#define glTexCoord4iv wxglTexCoord4iv
#define glTexCoord4s wxglTexCoord4s
#define glTexCoord4sv wxglTexCoord4sv
#define glTexCoordPointer wxglTexCoordPointer
#define glTexEnvf wxglTexEnvf
#define glTexEnvfv wxglTexEnvfv
#define glTexEnvi wxglTexEnvi
#define glTexEnviv wxglTexEnviv
#define glTexGend wxglTexGend
#define glTexGendv wxglTexGendv
#define glTexGenf wxglTexGenf
#define glTexGenfv wxglTexGenfv
#define glTexGeni wxglTexGeni
#define glTexGeniv wxglTexGeniv
#define glTexImage1D wxglTexImage1D
#define glTexImage2D wxglTexImage2D
#define glTexParameterf wxglTexParameterf
#define glTexParameterfv wxglTexParameterfv
#define glTexParameteri wxglTexParameteri
#define glTexParameteriv wxglTexParameteriv
#define glTexSubImage1D wxglTexSubImage1D
#define glTexSubImage2D wxglTexSubImage2D
#define glTranslated wxglTranslated
#define glTranslatef wxglTranslatef
#define glVertex2d wxglVertex2d
#define glVertex2dv wxglVertex2dv
#define glVertex2f wxglVertex2f
#define glVertex2fv wxglVertex2fv
#define glVertex2i wxglVertex2i
#define glVertex2iv wxglVertex2iv
#define glVertex2s wxglVertex2s
#define glVertex2sv wxglVertex2sv
#define glVertex3d wxglVertex3d
#define glVertex3dv wxglVertex3dv
#define glVertex3f wxglVertex3f
#define glVertex3fv wxglVertex3fv
#define glVertex3i wxglVertex3i
#define glVertex3iv wxglVertex3iv
#define glVertex3s wxglVertex3s
#define glVertex3sv wxglVertex3sv
#define glVertex4d wxglVertex4d
#define glVertex4dv wxglVertex4dv
#define glVertex4f wxglVertex4f
#define glVertex4fv wxglVertex4fv
#define glVertex4i wxglVertex4i
#define glVertex4iv wxglVertex4iv
#define glVertex4s wxglVertex4s
#define glVertex4sv wxglVertex4sv
#define glVertexPointer wxglVertexPointer
#define glViewport wxglViewport
#define glCopyTexSubImage3D wxglCopyTexSubImage3D
#define glDrawRangeElements wxglDrawRangeElements
#define glTexImage3D wxglTexImage3D
#define glTexSubImage3D wxglTexSubImage3D
#define glActiveTexture wxglActiveTexture
#define glClientActiveTexture wxglClientActiveTexture
#define glCompressedTexImage1D wxglCompressedTexImage1D
#define glCompressedTexImage2D wxglCompressedTexImage2D
#define glCompressedTexImage3D wxglCompressedTexImage3D
#define glCompressedTexSubImage1D wxglCompressedTexSubImage1D
#define glCompressedTexSubImage2D wxglCompressedTexSubImage2D
#define glCompressedTexSubImage3D wxglCompressedTexSubImage3D
#define glGetCompressedTexImage wxglGetCompressedTexImage
#define glLoadTransposeMatrixd wxglLoadTransposeMatrixd
#define glLoadTransposeMatrixf wxglLoadTransposeMatrixf
#define glMultTransposeMatrixd wxglMultTransposeMatrixd
#define glMultTransposeMatrixf wxglMultTransposeMatrixf
#define glMultiTexCoord1d wxglMultiTexCoord1d
#define glMultiTexCoord1dv wxglMultiTexCoord1dv
#define glMultiTexCoord1f wxglMultiTexCoord1f
#define glMultiTexCoord1fv wxglMultiTexCoord1fv
#define glMultiTexCoord1i wxglMultiTexCoord1i
#define glMultiTexCoord1iv wxglMultiTexCoord1iv
#define glMultiTexCoord1s wxglMultiTexCoord1s
#define glMultiTexCoord1sv wxglMultiTexCoord1sv
#define glMultiTexCoord2d wxglMultiTexCoord2d
#define glMultiTexCoord2dv wxglMultiTexCoord2dv
#define glMultiTexCoord2f wxglMultiTexCoord2f
#define glMultiTexCoord2fv wxglMultiTexCoord2fv
#define glMultiTexCoord2i wxglMultiTexCoord2i
#define glMultiTexCoord2iv wxglMultiTexCoord2iv
#define glMultiTexCoord2s wxglMultiTexCoord2s
#define glMultiTexCoord2sv wxglMultiTexCoord2sv
#define glMultiTexCoord3d wxglMultiTexCoord3d
#define glMultiTexCoord3dv wxglMultiTexCoord3dv
#define glMultiTexCoord3f wxglMultiTexCoord3f
#define glMultiTexCoord3fv wxglMultiTexCoord3fv
#define glMultiTexCoord3i wxglMultiTexCoord3i
#define glMultiTexCoord3iv wxglMultiTexCoord3iv
#define glMultiTexCoord3s wxglMultiTexCoord3s
#define glMultiTexCoord3sv wxglMultiTexCoord3sv
#define glMultiTexCoord4d wxglMultiTexCoord4d
#define glMultiTexCoord4dv wxglMultiTexCoord4dv
#define glMultiTexCoord4f wxglMultiTexCoord4f
#define glMultiTexCoord4fv wxglMultiTexCoord4fv
#define glMultiTexCoord4i wxglMultiTexCoord4i
#define glMultiTexCoord4iv wxglMultiTexCoord4iv
#define glMultiTexCoord4s wxglMultiTexCoord4s
#define glMultiTexCoord4sv wxglMultiTexCoord4sv
#define glSampleCoverage wxglSampleCoverage
#define glBlendColor wxglBlendColor
#define glBlendEquation wxglBlendEquation
#define glBlendFuncSeparate wxglBlendFuncSeparate
#define glFogCoordPointer wxglFogCoordPointer
#define glFogCoordd wxglFogCoordd
#define glFogCoorddv wxglFogCoorddv
#define glFogCoordf wxglFogCoordf
#define glFogCoordfv wxglFogCoordfv
#define glMultiDrawArrays wxglMultiDrawArrays
#define glMultiDrawElements wxglMultiDrawElements
#define glPointParameterf wxglPointParameterf
#define glPointParameterfv wxglPointParameterfv
#define glPointParameteri wxglPointParameteri
#define glPointParameteriv wxglPointParameteriv
#define glSecondaryColor3b wxglSecondaryColor3b
#define glSecondaryColor3bv wxglSecondaryColor3bv
#define glSecondaryColor3d wxglSecondaryColor3d
#define glSecondaryColor3dv wxglSecondaryColor3dv
#define glSecondaryColor3f wxglSecondaryColor3f
#define glSecondaryColor3fv wxglSecondaryColor3fv
#define glSecondaryColor3i wxglSecondaryColor3i
#define glSecondaryColor3iv wxglSecondaryColor3iv
#define glSecondaryColor3s wxglSecondaryColor3s
#define glSecondaryColor3sv wxglSecondaryColor3sv
#define glSecondaryColor3ub wxglSecondaryColor3ub
#define glSecondaryColor3ubv wxglSecondaryColor3ubv
#define glSecondaryColor3ui wxglSecondaryColor3ui
#define glSecondaryColor3uiv wxglSecondaryColor3uiv
#define glSecondaryColor3us wxglSecondaryColor3us
#define glSecondaryColor3usv wxglSecondaryColor3usv
#define glSecondaryColorPointer wxglSecondaryColorPointer
#define glWindowPos2d wxglWindowPos2d
#define glWindowPos2dv wxglWindowPos2dv
#define glWindowPos2f wxglWindowPos2f
#define glWindowPos2fv wxglWindowPos2fv
#define glWindowPos2i wxglWindowPos2i
#define glWindowPos2iv wxglWindowPos2iv
#define glWindowPos2s wxglWindowPos2s
#define glWindowPos2sv wxglWindowPos2sv
#define glWindowPos3d wxglWindowPos3d
#define glWindowPos3dv wxglWindowPos3dv
#define glWindowPos3f wxglWindowPos3f
#define glWindowPos3fv wxglWindowPos3fv
#define glWindowPos3i wxglWindowPos3i
#define glWindowPos3iv wxglWindowPos3iv
#define glWindowPos3s wxglWindowPos3s
#define glWindowPos3sv wxglWindowPos3sv
#define glBeginQuery wxglBeginQuery
#define glBindBuffer wxglBindBuffer
#define glBufferData wxglBufferData
#define glBufferSubData wxglBufferSubData
#define glDeleteBuffers wxglDeleteBuffers
#define glDeleteQueries wxglDeleteQueries
#define glEndQuery wxglEndQuery
#define glGenBuffers wxglGenBuffers
#define glGenQueries wxglGenQueries
#define glGetBufferParameteriv wxglGetBufferParameteriv
#define glGetBufferPointerv wxglGetBufferPointerv
#define glGetBufferSubData wxglGetBufferSubData
#define glGetQueryObjectiv wxglGetQueryObjectiv
#define glGetQueryObjectuiv wxglGetQueryObjectuiv
#define glGetQueryiv wxglGetQueryiv
#define glIsBuffer wxglIsBuffer
#define glIsQuery wxglIsQuery
#define glMapBuffer wxglMapBuffer
#define glUnmapBuffer wxglUnmapBuffer
#define glAttachShader wxglAttachShader
#define glBindAttribLocation wxglBindAttribLocation
#define glBlendEquationSeparate wxglBlendEquationSeparate
#define glCompileShader wxglCompileShader
#define glCreateProgram wxglCreateProgram
#define glCreateShader wxglCreateShader
#define glDeleteProgram wxglDeleteProgram
#define glDeleteShader wxglDeleteShader
#define glDetachShader wxglDetachShader
#define glDisableVertexAttribArray wxglDisableVertexAttribArray
#define glDrawBuffers wxglDrawBuffers
#define glEnableVertexAttribArray wxglEnableVertexAttribArray
#define glGetActiveAttrib wxglGetActiveAttrib
#define glGetActiveUniform wxglGetActiveUniform
#define glGetAttachedShaders wxglGetAttachedShaders
#define glGetAttribLocation wxglGetAttribLocation
#define glGetProgramInfoLog wxglGetProgramInfoLog
#define glGetProgramiv wxglGetProgramiv
#define glGetShaderInfoLog wxglGetShaderInfoLog
#define glGetShaderSource wxglGetShaderSource
#define glGetShaderiv wxglGetShaderiv
#define glGetUniformLocation wxglGetUniformLocation
#define glGetUniformfv wxglGetUniformfv
#define glGetUniformiv wxglGetUniformiv
#define glGetVertexAttribPointerv wxglGetVertexAttribPointerv
#define glGetVertexAttribdv wxglGetVertexAttribdv
#define glGetVertexAttribfv wxglGetVertexAttribfv
#define glGetVertexAttribiv wxglGetVertexAttribiv
#define glIsProgram wxglIsProgram
#define glIsShader wxglIsShader
#define glLinkProgram wxglLinkProgram
#define glShaderSource wxglShaderSource
#define glStencilFuncSeparate wxglStencilFuncSeparate
#define glStencilMaskSeparate wxglStencilMaskSeparate
#define glStencilOpSeparate wxglStencilOpSeparate
#define glUniform1f wxglUniform1f
#define glUniform1fv wxglUniform1fv
#define glUniform1i wxglUniform1i
#define glUniform1iv wxglUniform1iv
#define glUniform2f wxglUniform2f
#define glUniform2fv wxglUniform2fv
#define glUniform2i wxglUniform2i
#define glUniform2iv wxglUniform2iv
#define glUniform3f wxglUniform3f
#define glUniform3fv wxglUniform3fv
#define glUniform3i wxglUniform3i
#define glUniform3iv wxglUniform3iv
#define glUniform4f wxglUniform4f
#define glUniform4fv wxglUniform4fv
#define glUniform4i wxglUniform4i
#define glUniform4iv wxglUniform4iv
#define glUniformMatrix2fv wxglUniformMatrix2fv
#define glUniformMatrix3fv wxglUniformMatrix3fv
#define glUniformMatrix4fv wxglUniformMatrix4fv
#define glUseProgram wxglUseProgram
#define glValidateProgram wxglValidateProgram
#define glVertexAttrib1d wxglVertexAttrib1d
#define glVertexAttrib1dv wxglVertexAttrib1dv
#define glVertexAttrib1f wxglVertexAttrib1f
#define glVertexAttrib1fv wxglVertexAttrib1fv
#define glVertexAttrib1s wxglVertexAttrib1s
#define glVertexAttrib1sv wxglVertexAttrib1sv
#define glVertexAttrib2d wxglVertexAttrib2d
#define glVertexAttrib2dv wxglVertexAttrib2dv
#define glVertexAttrib2f wxglVertexAttrib2f
#define glVertexAttrib2fv wxglVertexAttrib2fv
#define glVertexAttrib2s wxglVertexAttrib2s
#define glVertexAttrib2sv wxglVertexAttrib2sv
#define glVertexAttrib3d wxglVertexAttrib3d
#define glVertexAttrib3dv wxglVertexAttrib3dv
#define glVertexAttrib3f wxglVertexAttrib3f
#define glVertexAttrib3fv wxglVertexAttrib3fv
#define glVertexAttrib3s wxglVertexAttrib3s
#define glVertexAttrib3sv wxglVertexAttrib3sv
#define glVertexAttrib4Nbv wxglVertexAttrib4Nbv
#define glVertexAttrib4Niv wxglVertexAttrib4Niv
#define glVertexAttrib4Nsv wxglVertexAttrib4Nsv
#define glVertexAttrib4Nub wxglVertexAttrib4Nub
#define glVertexAttrib4Nubv wxglVertexAttrib4Nubv
#define glVertexAttrib4Nuiv wxglVertexAttrib4Nuiv
#define glVertexAttrib4Nusv wxglVertexAttrib4Nusv
#define glVertexAttrib4bv wxglVertexAttrib4bv
#define glVertexAttrib4d wxglVertexAttrib4d
#define glVertexAttrib4dv wxglVertexAttrib4dv
#define glVertexAttrib4f wxglVertexAttrib4f
#define glVertexAttrib4fv wxglVertexAttrib4fv
#define glVertexAttrib4iv wxglVertexAttrib4iv
#define glVertexAttrib4s wxglVertexAttrib4s
#define glVertexAttrib4sv wxglVertexAttrib4sv
#define glVertexAttrib4ubv wxglVertexAttrib4ubv
#define glVertexAttrib4uiv wxglVertexAttrib4uiv
#define glVertexAttrib4usv wxglVertexAttrib4usv
#define glVertexAttribPointer wxglVertexAttribPointer
#define glUniformMatrix2x3fv wxglUniformMatrix2x3fv
#define glUniformMatrix2x4fv wxglUniformMatrix2x4fv
#define glUniformMatrix3x2fv wxglUniformMatrix3x2fv
#define glUniformMatrix3x4fv wxglUniformMatrix3x4fv
#define glUniformMatrix4x2fv wxglUniformMatrix4x2fv
#define glUniformMatrix4x3fv wxglUniformMatrix4x3fv
#define glBindFramebuffer wxglBindFramebuffer
#define glBindRenderbuffer wxglBindRenderbuffer
#define glBlitFramebuffer wxglBlitFramebuffer
#define glCheckFramebufferStatus wxglCheckFramebufferStatus
#define glDeleteFramebuffers wxglDeleteFramebuffers
#define glDeleteRenderbuffers wxglDeleteRenderbuffers
#define glFramebufferRenderbuffer wxglFramebufferRenderbuffer
#define glFramebufferTexture1D wxglFramebufferTexture1D
#define glFramebufferTexture2D wxglFramebufferTexture2D
#define glFramebufferTexture3D wxglFramebufferTexture3D
#define glFramebufferTextureLayer wxglFramebufferTextureLayer
#define glGenFramebuffers wxglGenFramebuffers
#define glGenRenderbuffers wxglGenRenderbuffers
#define glGenerateMipmap wxglGenerateMipmap
#define glGetFramebufferAttachmentParameteriv wxglGetFramebufferAttachmentParameteriv
#define glGetRenderbufferParameteriv wxglGetRenderbufferParameteriv
#define glIsFramebuffer wxglIsFramebuffer
#define glIsRenderbuffer wxglIsRenderbuffer
#define glRenderbufferStorage wxglRenderbufferStorage
#define glRenderbufferStorageMultisample wxglRenderbufferStorageMultisample
#endif

#ifdef __cplusplus
}
#endif

#endif
